from __future__ import print_function
from _mock import _Mock




aliases = _Mock()

app_aliases = _Mock()

app_flags = _Mock()

error = _Mock()

flags = _Mock()

frontend_aliases = _Mock()

frontend_flags = _Mock()

launch_new_instance = _Mock()

signal = _Mock()

term_flags = _Mock()

_examples = '\nipython console # start the ZMQ-based console\nipython console --existing # connect to an existing ipython session\n'

class Any(_Mock):
  pass
  info_text = 'any value'

class Dict(_Mock):
  pass
  info_text = 'any value'

class IPythonConsoleApp(_Mock):
  pass
  description = '\n        The IPython Mixin Console.\n        \n        This class contains the common portions of console client (QtConsole,\n        ZMQ-based terminal console, etc).  It is not a full console, in that\n        launched terminal subprocesses will not be able to accept input.\n        \n        The Console using this mixing supports various extra features beyond\n        the single-process Terminal IPython shell, such as connecting to\n        existing kernel, via:\n        \n            ipython <appname> --existing\n        \n        as well as tunnel via SSH\n        \n    '
  name = 'ipython-console-mixin'

class TerminalIPythonApp(_Mock):
  pass
  _in_init_profile_dir = False
  description = "=========\n IPython\n=========\n\nTools for Interactive Computing in Python\n=========================================\n\n    A Python shell with automatic history (input and output), dynamic object\n    introspection, easier configuration, command completion, access to the\n    system shell and more.  IPython can also be embedded in running programs.\n\n\nUsage\n\n    ipython [subcommand] [options] [-c cmd | -m mod | file] [--] [arg] ...\n\n    If invoked with no options, it executes the file and exits, passing the\n    remaining arguments to the script, just as if you had specified the same\n    command with python. You may need to specify `--` before args to be passed\n    to the script, to prevent IPython from attempting to parse them. If you\n    specify the option `-i` before the filename, it will enter an interactive\n    IPython session after running the script, rather than exiting. Files ending\n    in .py will be treated as normal Python, but files ending in .ipy can\n    contain special IPython syntax (magic commands, shell expansions, etc.).\n\n    Almost all configuration in IPython is available via the command-line. Do\n    `ipython --help-all` to see all available options.  For persistent\n    configuration, look into your `ipython_config.py` configuration file for\n    details.\n\n    This file is typically installed in the `IPYTHONDIR` directory, and there\n    is a separate configuration directory for each profile. The default profile\n    directory will be located in $IPYTHONDIR/profile_default. For Linux users,\n    IPYTHONDIR defaults to `$HOME/.config/ipython`, and for other Unix systems\n    to `$HOME/.ipython`.  For Windows users, $HOME resolves to C:\\Documents\n    and Settings\\YourUserName in most instances.\n\n    To initialize a profile with the default configuration file, do::\n\n      $> ipython profile create\n\n    and start editing `IPYTHONDIR/profile_default/ipython_config.py`\n\n    In IPython's documentation, we will refer to this directory as\n    `IPYTHONDIR`, you can change its default location by creating an\n    environment variable with this name and setting it to the desired path.\n\n    For more information, see the manual available in HTML and PDF in your\n    installation, or online at http://ipython.org/documentation.html.\n"
  examples = '\nipython --matplotlib       # enable matplotlib integration\nipython --matploltib=qt    # enable matplotlib integration with qt4 backend\n\nipython --log-level=DEBUG  # set logging to DEBUG\nipython --profile=foo      # start with profile foo\n\nipython qtconsole          # start the qtconsole GUI application\nipython help qtconsole     # show the help for the qtconsole subcmd\n\nipython console            # start the terminal-based console application\nipython help console       # show the help for the console subcmd\n\nipython notebook           # start the IPython notebook\nipython help notebook      # show the help for the notebook subcmd\n\nipython profile create foo # create profile foo w/ default config files\nipython help profile       # show the help for the profile subcmd\n\nipython locate             # print the path to the IPython directory\nipython locate profile foo # print the path to the directory for profile `foo`\n\nipython nbconvert           # convert notebooks to/from other formats\n'
  name = u'ipython'

class ZMQTerminalIPythonApp(_Mock):
  pass
  _in_init_profile_dir = False
  description = '\n        The IPython terminal-based Console.\n\n        This launches a Console application inside a terminal.\n\n        The Console supports various extra features beyond the traditional\n        single-process Terminal IPython shell, such as connecting to an\n        existing ipython session, via:\n\n            ipython console --existing\n\n        where the previous session could have been created by another ipython\n        console, an ipython qtconsole, or by opening an ipython notebook.\n\n    '
  examples = '\nipython console # start the ZMQ-based console\nipython console --existing # connect to an existing ipython session\n'
  name = 'ipython-console'

class ZMQTerminalInteractiveShell(_Mock):
  pass
  _executing = False
  default_user_namespaces = True

