from __future__ import print_function
from _mock import _Mock

ConfigDict = __import__('PyMca.ConfigDict', fromlist=['ConfigDict'])
ElementsInfo = __import__('PyMca.ElementsInfo', fromlist=['ElementsInfo'])
MaterialEditor = __import__('PyMca.MaterialEditor', fromlist=['MaterialEditor'])
Mca2Edf = __import__('PyMca.Mca2Edf', fromlist=['Mca2Edf'])
McaWindow = __import__('PyMca.McaWindow', fromlist=['McaWindow'])
PeakIdentifier = __import__('PyMca.PeakIdentifier', fromlist=['PeakIdentifier'])
PyMcaBatch = __import__('PyMca.PyMcaBatch', fromlist=['PyMcaBatch'])
PyMcaDataDir = __import__('PyMca.PyMcaDataDir', fromlist=['PyMcaDataDir'])
PyMcaHKLImageWindow = __import__('PyMca.PyMcaHKLImageWindow', fromlist=['PyMcaHKLImageWindow'])
PyMcaImageWindow = __import__('PyMca.PyMcaImageWindow', fromlist=['PyMcaImageWindow'])
PyMcaMdi = __import__('PyMca.PyMcaMdi', fromlist=['PyMcaMdi'])
PyMcaPostBatch = __import__('PyMca.PyMcaPostBatch', fromlist=['PyMcaPostBatch'])
QDispatcher = __import__('PyMca.QDispatcher', fromlist=['QDispatcher'])
QStackWidget = __import__('PyMca.QStackWidget', fromlist=['QStackWidget'])
RGBCorrelator = __import__('PyMca.RGBCorrelator', fromlist=['RGBCorrelator'])
ScanWindow = __import__('PyMca.ScanWindow', fromlist=['ScanWindow'])
SceneGLWindow = __import__('PyMca.PyMcaGLWindow', fromlist=['PyMcaGLWindow'])
StackSelector = __import__('PyMca.StackSelector', fromlist=['StackSelector'])
XRFMCPyMca = __import__('PyMca.XRFMC.XRFMCPyMca', fromlist=['XRFMCPyMca'])
XiaCorrect = __import__('PyMca.XiaCorrect', fromlist=['XiaCorrect'])
qt = __import__('PyMca.PyMcaQt', fromlist=['PyMcaQt'])


HelpDict = _Mock()

IconDict = _Mock()

OpenGL = _Mock()

PyMcaDirs = _Mock()

PyQt4 = _Mock()

SOURCESLIST = _Mock()

getopt = _Mock()

nativeFileDialogs = _Mock()

os = _Mock()

sys = _Mock()

traceback = _Mock()

DEBUG = 0

OBJECT3D = _Mock()

QTVERSION = '4.8.5'

STACK = _Mock()

XIA_CORRECT = _Mock()

XRFMC_FLAG = _Mock()

__version__ = '4.7.4'

class Line(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class MyQTextBrowser(_Mock):
  pass
  AutoAll = -1
  AutoBulletList = 1
  AutoNone = 0
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  FixedColumnWidth = 3
  FixedPixelWidth = 2
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoWrap = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WidgetWidth = 1
  WinPanel = 3

class PixmapLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class PyMcaMain(_Mock):
  pass
  AllowNestedDocks = 2
  AllowTabbedDocks = 4
  AnimatedDocks = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  ForceTabbedDocks = 8
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  VerticalTabs = 16

class QString(_Mock):
  pass
  KeepEmptyParts = 0
  NormalizationForm_C = 1
  NormalizationForm_D = 0
  NormalizationForm_KC = 3
  NormalizationForm_KD = 2
  SectionCaseInsensitiveSeps = 8
  SectionDefault = 0
  SectionIncludeLeadingSep = 2
  SectionIncludeTrailingSep = 4
  SectionSkipEmpty = 1
  SkipEmptyParts = 1

