from __future__ import print_function
from _mock import _Mock

dependencies = __import__('spyderlib.dependencies', fromlist=['dependencies'])
encoding = __import__('spyderlib.utils.encoding', fromlist=['encoding'])
rope_patch = __import__('spyderlib.rope_patch', fromlist=['rope_patch'])
sh = __import__('spyderlib.widgets.sourcecode.syntaxhighlighters', fromlist=['syntaxhighlighters'])
sourcecode = __import__('spyderlib.utils.sourcecode', fromlist=['sourcecode'])


CONF = _Mock()

ROPE_PREFS = _Mock()

ROPE_PROJECT = _Mock()

SIGNAL = _Mock()

SLOT = _Mock()

Slot = _Mock()

_ = _Mock()

add_actions = _Mock()

create_action = _Mock()

division = _Mock()

get_conf_path = _Mock()

get_file_language = _Mock()

get_font = _Mock()

get_icon = _Mock()

get_image_path = _Mock()

get_primary_at = _Mock()

get_rope_project = _Mock()

getobj = _Mock()

keybinding = _Mock()

log_dt = _Mock()

log_last_error = _Mock()

mimedata2url = _Mock()

os = _Mock()

osp = _Mock()

re = _Mock()

rope = _Mock()

set_scrollflagarea_painter = _Mock()

sre_constants = _Mock()

sys = _Mock()

test = _Mock()

time = _Mock()

to_qvariant = _Mock()

validate_rope_project = _Mock()

DEBUG = 0

DEBUG_EDITOR = _Mock()

LOG_FILENAME = u'/home/zreszela/.spyder2/rope.log'

ROPE_REQVER = '>=0.9.2'

is_pyqt46 = _Mock()

class BlockUserData(_Mock):
  pass


class CodeEditor(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoWrap = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WidgetWidth = 1
  WinPanel = 3

class EdgeLine(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class GoToLineDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class LineNumberArea(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class Printer(_Mock):
  pass
  A0 = 5
  A1 = 6
  A2 = 7
  A3 = 8
  A4 = 0
  A5 = 9
  A6 = 10
  A7 = 11
  A8 = 12
  A9 = 13
  Aborted = 2
  Active = 1
  AllPages = 0
  Auto = 6
  B0 = 14
  B1 = 15
  B10 = 16
  B2 = 17
  B3 = 18
  B4 = 19
  B5 = 1
  B6 = 20
  B7 = 21
  B8 = 22
  B9 = 23
  C5E = 24
  Cassette = 11
  Cicero = 5
  Color = 1
  Comm10E = 25
  CurrentPage = 3
  Custom = 30
  DLE = 26
  DevicePixel = 6
  Didot = 4
  DuplexAuto = 1
  DuplexLongSide = 2
  DuplexNone = 0
  DuplexShortSide = 3
  Envelope = 4
  EnvelopeManual = 5
  Error = 3
  Executive = 4
  FirstPageFirst = 0
  Folio = 27
  FormSource = 12
  GrayScale = 0
  HighResolution = 2
  Idle = 0
  Inch = 2
  Landscape = 1
  LargeCapacity = 10
  LargeFormat = 9
  LastPageFirst = 1
  Ledger = 28
  Legal = 3
  Letter = 2
  Lower = 1
  Manual = 3
  MaxPageSource = 13
  Middle = 2
  Millimeter = 0
  NativeFormat = 0
  OnlyOne = 0
  PageRange = 2
  PdfFormat = 1
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Pica = 3
  Point = 1
  Portrait = 0
  PostScriptFormat = 2
  PrinterResolution = 1
  ScreenResolution = 0
  Selection = 1
  SmallFormat = 8
  Tabloid = 29
  Tractor = 7

class PythonCFM(_Mock):
  pass


class QApplication(_Mock):
  pass
  CodecForTr = 0
  CustomColor = 1
  DefaultCodec = 0
  GuiClient = 1
  GuiServer = 2
  ManyColor = 2
  NormalColor = 0
  Tty = 0
  UnicodeUTF8 = 1

class QBrush(_Mock):
  pass


class QColor(_Mock):
  pass
  Cmyk = 3
  Hsl = 4
  Hsv = 2
  Invalid = 0
  Rgb = 1

class QCursor(_Mock):
  pass
  ArrowCursor = 0
  CrossCursor = 2
  PointingHandCursor = 13
  SizeHorCursor = 6
  SizeVerCursor = 5
  UpArrowCursor = 1
  WaitCursor = 3

class QDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class QDialogButtonBox(_Mock):
  pass
  Abort = 262144
  AcceptRole = 0
  ActionRole = 3
  Apply = 33554432
  ApplyRole = 8
  Cancel = 4194304
  Close = 2097152
  DestructiveRole = 2
  Discard = 8388608
  DrawChildren = 2
  DrawWindowBackground = 1
  GnomeLayout = 3
  Help = 16777216
  HelpRole = 4
  Ignore = 1048576
  IgnoreMask = 4
  InvalidRole = -1
  KdeLayout = 2
  MacLayout = 1
  No = 65536
  NoButton = 0
  NoRole = 6
  NoToAll = 131072
  Ok = 1024
  Open = 8192
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  RejectRole = 1
  Reset = 67108864
  ResetRole = 7
  RestoreDefaults = 134217728
  Retry = 524288
  Save = 2048
  SaveAll = 4096
  WinLayout = 0
  Yes = 16384
  YesRole = 5
  YesToAll = 32768

class QFont(_Mock):
  pass
  AbsoluteSpacing = 1
  AllLowercase = 2
  AllUppercase = 1
  AnyStyle = 5
  Black = 87
  Bold = 75
  Capitalize = 4
  Condensed = 75
  Courier = 2
  Cursive = 6
  Decorative = 3
  DemiBold = 63
  Expanded = 125
  ExtraCondensed = 62
  ExtraExpanded = 150
  Fantasy = 8
  ForceIntegerMetrics = 1024
  ForceOutline = 16
  Helvetica = 0
  Light = 25
  MixedCase = 0
  Monospace = 7
  NoAntialias = 256
  NoFontMerging = 32768
  Normal = 50
  OldEnglish = 3
  OpenGLCompatible = 512
  PercentageSpacing = 0
  PreferAntialias = 128
  PreferBitmap = 2
  PreferDefault = 1
  PreferDefaultHinting = 0
  PreferDevice = 4
  PreferFullHinting = 3
  PreferMatch = 32
  PreferNoHinting = 1
  PreferOutline = 8
  PreferQuality = 64
  PreferVerticalHinting = 2
  SansSerif = 0
  SemiCondensed = 87
  SemiExpanded = 112
  Serif = 1
  SmallCaps = 3
  StyleItalic = 1
  StyleNormal = 0
  StyleOblique = 2
  System = 4
  Times = 1
  TypeWriter = 2
  UltraCondensed = 50
  UltraExpanded = 200
  Unstretched = 100

class QGridLayout(_Mock):
  pass
  SetDefaultConstraint = 0
  SetFixedSize = 3
  SetMaximumSize = 4
  SetMinAndMaxSize = 5
  SetMinimumSize = 2
  SetNoConstraint = 1

class QHBoxLayout(_Mock):
  pass
  BottomToTop = 3
  Down = 2
  LeftToRight = 0
  RightToLeft = 1
  SetDefaultConstraint = 0
  SetFixedSize = 3
  SetMaximumSize = 4
  SetMinAndMaxSize = 5
  SetMinimumSize = 2
  SetNoConstraint = 1
  TopToBottom = 2
  Up = 3

class QInputDialog(_Mock):
  pass
  Accepted = 1
  DoubleInput = 2
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  IntInput = 1
  NoButtons = 1
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0
  TextInput = 0
  UseListViewForComboBoxItems = 2

class QIntValidator(_Mock):
  pass
  Acceptable = 2
  Intermediate = 1
  Invalid = 0

class QKeyEvent(_Mock):
  pass
  AccessibilityDescription = 130
  AccessibilityHelp = 119
  AccessibilityPrepare = 86
  ActionAdded = 114
  ActionChanged = 113
  ActionRemoved = 115
  ActivationChange = 99
  ApplicationActivate = 121
  ApplicationActivated = 121
  ApplicationDeactivate = 122
  ApplicationDeactivated = 122
  ApplicationFontChange = 36
  ApplicationLayoutDirectionChange = 37
  ApplicationPaletteChange = 38
  ApplicationWindowIconChange = 35
  ChildAdded = 68
  ChildPolished = 69
  ChildRemoved = 71
  Clipboard = 40
  Close = 19
  CloseSoftwareInputPanel = 200
  ContextMenu = 82
  CursorChange = 183
  DeferredDelete = 52
  DragEnter = 60
  DragLeave = 62
  DragMove = 61
  Drop = 63
  DynamicPropertyChange = 170
  EnabledChange = 98
  Enter = 10
  EnterWhatsThisMode = 124
  FileOpen = 116
  FocusIn = 8
  FocusOut = 9
  FontChange = 97
  Gesture = 198
  GestureOverride = 202
  GrabKeyboard = 188
  GrabMouse = 186
  GraphicsSceneContextMenu = 159
  GraphicsSceneDragEnter = 164
  GraphicsSceneDragLeave = 166
  GraphicsSceneDragMove = 165
  GraphicsSceneDrop = 167
  GraphicsSceneHelp = 163
  GraphicsSceneHoverEnter = 160
  GraphicsSceneHoverLeave = 162
  GraphicsSceneHoverMove = 161
  GraphicsSceneMouseDoubleClick = 158
  GraphicsSceneMouseMove = 155
  GraphicsSceneMousePress = 156
  GraphicsSceneMouseRelease = 157
  GraphicsSceneMove = 182
  GraphicsSceneResize = 181
  GraphicsSceneWheel = 168
  Hide = 18
  HideToParent = 27
  HoverEnter = 127
  HoverLeave = 128
  HoverMove = 129
  IconDrag = 96
  IconTextChange = 101
  InputMethod = 83
  KeyPress = 6
  KeyRelease = 7
  KeyboardLayoutChange = 169
  LanguageChange = 89
  LayoutDirectionChange = 90
  LayoutRequest = 76
  Leave = 11
  LeaveWhatsThisMode = 125
  LocaleChange = 88
  MaxUser = 65535
  MenubarUpdated = 153
  MetaCall = 43
  ModifiedChange = 102
  MouseButtonDblClick = 4
  MouseButtonPress = 2
  MouseButtonRelease = 3
  MouseMove = 5
  MouseTrackingChange = 109
  Move = 13
  OkRequest = 94
  Paint = 12
  PaletteChange = 39
  ParentAboutToChange = 131
  ParentChange = 21
  PlatformPanel = 212
  Polish = 75
  PolishRequest = 74
  QueryWhatsThis = 123
  RequestSoftwareInputPanel = 199
  Resize = 14
  Shortcut = 117
  ShortcutOverride = 51
  Show = 17
  ShowToParent = 26
  SockAct = 50
  StateMachineSignal = 192
  StateMachineWrapped = 193
  StatusTip = 112
  StyleChange = 100
  TabletEnterProximity = 171
  TabletLeaveProximity = 172
  TabletMove = 87
  TabletPress = 92
  TabletRelease = 93
  Timer = 1
  ToolBarChange = 120
  ToolTip = 110
  ToolTipChange = 184
  TouchBegin = 194
  TouchEnd = 196
  TouchUpdate = 195
  UngrabKeyboard = 189
  UngrabMouse = 187
  UpdateLater = 78
  UpdateRequest = 77
  User = 1000
  WhatsThis = 111
  WhatsThisClicked = 118
  Wheel = 31
  WinEventAct = 132
  WinIdChange = 203
  WindowActivate = 24
  WindowBlocked = 103
  WindowDeactivate = 25
  WindowIconChange = 34
  WindowStateChange = 105
  WindowTitleChange = 33
  WindowUnblocked = 104
  ZOrderChange = 126

class QKeySequence(_Mock):
  pass
  AddTab = 19
  Back = 13
  Bold = 27
  Close = 4
  Copy = 9
  Cut = 8
  Delete = 7
  DeleteEndOfLine = 60
  DeleteEndOfWord = 59
  DeleteStartOfWord = 58
  ExactMatch = 2
  Find = 22
  FindNext = 23
  FindPrevious = 24
  Forward = 14
  HelpContents = 1
  InsertLineSeparator = 62
  InsertParagraphSeparator = 61
  Italic = 28
  MoveToEndOfBlock = 41
  MoveToEndOfDocument = 43
  MoveToEndOfLine = 39
  MoveToNextChar = 30
  MoveToNextLine = 34
  MoveToNextPage = 36
  MoveToNextWord = 32
  MoveToPreviousChar = 31
  MoveToPreviousLine = 35
  MoveToPreviousPage = 37
  MoveToPreviousWord = 33
  MoveToStartOfBlock = 40
  MoveToStartOfDocument = 42
  MoveToStartOfLine = 38
  NativeText = 0
  New = 6
  NextChild = 20
  NoMatch = 0
  Open = 3
  PartialMatch = 1
  Paste = 10
  PortableText = 1
  Preferences = 64
  PreviousChild = 21
  Print = 18
  Quit = 65
  Redo = 12
  Refresh = 15
  Replace = 25
  Save = 5
  SaveAs = 63
  SelectAll = 26
  SelectEndOfBlock = 55
  SelectEndOfDocument = 57
  SelectEndOfLine = 53
  SelectNextChar = 44
  SelectNextLine = 48
  SelectNextPage = 50
  SelectNextWord = 46
  SelectPreviousChar = 45
  SelectPreviousLine = 49
  SelectPreviousPage = 51
  SelectPreviousWord = 47
  SelectStartOfBlock = 54
  SelectStartOfDocument = 56
  SelectStartOfLine = 52
  Underline = 29
  Undo = 11
  UnknownKey = 0
  WhatsThis = 2
  ZoomIn = 16
  ZoomOut = 17

class QLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class QLineEdit(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  NoEcho = 1
  Normal = 0
  Password = 2
  PasswordEchoOnEdit = 3
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QMenu(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QPainter(_Mock):
  pass
  Antialiasing = 1
  CompositionMode_Clear = 2
  CompositionMode_ColorBurn = 19
  CompositionMode_ColorDodge = 18
  CompositionMode_Darken = 16
  CompositionMode_Destination = 4
  CompositionMode_DestinationAtop = 10
  CompositionMode_DestinationIn = 6
  CompositionMode_DestinationOut = 8
  CompositionMode_DestinationOver = 1
  CompositionMode_Difference = 22
  CompositionMode_Exclusion = 23
  CompositionMode_HardLight = 20
  CompositionMode_Lighten = 17
  CompositionMode_Multiply = 13
  CompositionMode_Overlay = 15
  CompositionMode_Plus = 12
  CompositionMode_Screen = 14
  CompositionMode_SoftLight = 21
  CompositionMode_Source = 3
  CompositionMode_SourceAtop = 9
  CompositionMode_SourceIn = 5
  CompositionMode_SourceOut = 7
  CompositionMode_SourceOver = 0
  CompositionMode_Xor = 11
  HighQualityAntialiasing = 8
  NonCosmeticDefaultPen = 16
  OpaqueHint = 1
  RasterOp_NotSource = 30
  RasterOp_NotSourceAndDestination = 31
  RasterOp_NotSourceAndNotDestination = 27
  RasterOp_NotSourceOrNotDestination = 28
  RasterOp_NotSourceXorDestination = 29
  RasterOp_SourceAndDestination = 25
  RasterOp_SourceAndNotDestination = 32
  RasterOp_SourceOrDestination = 24
  RasterOp_SourceXorDestination = 26
  SmoothPixmapTransform = 4
  TextAntialiasing = 2

class QPixmap(_Mock):
  pass
  ExplicitlyShared = 1
  ImplicitlyShared = 0
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QPrinter(_Mock):
  pass
  A0 = 5
  A1 = 6
  A2 = 7
  A3 = 8
  A4 = 0
  A5 = 9
  A6 = 10
  A7 = 11
  A8 = 12
  A9 = 13
  Aborted = 2
  Active = 1
  AllPages = 0
  Auto = 6
  B0 = 14
  B1 = 15
  B10 = 16
  B2 = 17
  B3 = 18
  B4 = 19
  B5 = 1
  B6 = 20
  B7 = 21
  B8 = 22
  B9 = 23
  C5E = 24
  Cassette = 11
  Cicero = 5
  Color = 1
  Comm10E = 25
  CurrentPage = 3
  Custom = 30
  DLE = 26
  DevicePixel = 6
  Didot = 4
  DuplexAuto = 1
  DuplexLongSide = 2
  DuplexNone = 0
  DuplexShortSide = 3
  Envelope = 4
  EnvelopeManual = 5
  Error = 3
  Executive = 4
  FirstPageFirst = 0
  Folio = 27
  FormSource = 12
  GrayScale = 0
  HighResolution = 2
  Idle = 0
  Inch = 2
  Landscape = 1
  LargeCapacity = 10
  LargeFormat = 9
  LastPageFirst = 1
  Ledger = 28
  Legal = 3
  Letter = 2
  Lower = 1
  Manual = 3
  MaxPageSource = 13
  Middle = 2
  Millimeter = 0
  NativeFormat = 0
  OnlyOne = 0
  PageRange = 2
  PdfFormat = 1
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Pica = 3
  Point = 1
  Portrait = 0
  PostScriptFormat = 2
  PrinterResolution = 1
  ScreenResolution = 0
  Selection = 1
  SmallFormat = 8
  Tabloid = 29
  Tractor = 7

class QRect(_Mock):
  pass


class QRegExp(_Mock):
  pass
  CaretAtOffset = 1
  CaretAtZero = 0
  CaretWontMatch = 2
  FixedString = 2
  RegExp = 0
  RegExp2 = 3
  W3CXmlSchema11 = 5
  Wildcard = 1
  WildcardUnix = 4

class QShortcut(_Mock):
  pass


class QSize(_Mock):
  pass


class QSplitter(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class QTextBlockUserData(_Mock):
  pass


class QTextCharFormat(_Mock):
  pass
  AlignBaseline = 6
  AlignBottom = 5
  AlignMiddle = 3
  AlignNormal = 0
  AlignSubScript = 2
  AlignSuperScript = 1
  AlignTop = 4
  AnchorHref = 8241
  AnchorName = 8242
  BackgroundBrush = 2080
  BackgroundImageUrl = 2083
  BlockAlignment = 4112
  BlockBottomMargin = 4145
  BlockFormat = 1
  BlockIndent = 4160
  BlockLeftMargin = 4146
  BlockNonBreakableLines = 4176
  BlockRightMargin = 4147
  BlockTopMargin = 4144
  BlockTrailingHorizontalRulerWidth = 4192
  CharFormat = 2
  CssFloat = 2048
  DashDotDotLine = 5
  DashDotLine = 4
  DashUnderline = 2
  DotLine = 3
  FirstFontProperty = 8160
  FontCapitalization = 8160
  FontFamily = 8192
  FontFixedPitch = 8200
  FontHintingPreference = 8166
  FontItalic = 8196
  FontKerning = 8165
  FontLetterSpacing = 8161
  FontOverline = 8198
  FontPixelSize = 8201
  FontPointSize = 8193
  FontSizeAdjustment = 8194
  FontSizeIncrement = 8194
  FontStrikeOut = 8199
  FontStyleHint = 8163
  FontStyleStrategy = 8164
  FontUnderline = 8197
  FontWeight = 8195
  FontWordSpacing = 8162
  ForegroundBrush = 2081
  FrameBorder = 16384
  FrameBorderBrush = 16393
  FrameBorderStyle = 16400
  FrameBottomMargin = 16390
  FrameFormat = 5
  FrameHeight = 16388
  FrameLeftMargin = 16391
  FrameMargin = 16385
  FramePadding = 16386
  FrameRightMargin = 16392
  FrameTopMargin = 16389
  FrameWidth = 16387
  FullWidthSelection = 24576
  ImageHeight = 20497
  ImageName = 20480
  ImageObject = 1
  ImageWidth = 20496
  InvalidFormat = -1
  IsAnchor = 8240
  LastFontProperty = 8201
  LayoutDirection = 2049
  LineHeight = 4168
  LineHeightType = 4169
  ListFormat = 3
  ListIndent = 12289
  ListNumberPrefix = 12290
  ListNumberSuffix = 12291
  ListStyle = 12288
  NoObject = 0
  NoUnderline = 0
  ObjectIndex = 0
  ObjectType = 12032
  OutlinePen = 2064
  PageBreakPolicy = 28672
  PageBreak_AlwaysAfter = 16
  PageBreak_AlwaysBefore = 1
  PageBreak_Auto = 0
  SingleUnderline = 1
  SpellCheckUnderline = 7
  TabPositions = 4149
  TableCellBottomPadding = 18451
  TableCellColumnSpan = 18449
  TableCellLeftPadding = 18452
  TableCellObject = 3
  TableCellPadding = 16643
  TableCellRightPadding = 18453
  TableCellRowSpan = 18448
  TableCellSpacing = 16642
  TableCellTopPadding = 18450
  TableColumnWidthConstraints = 16641
  TableColumns = 16640
  TableFormat = 4
  TableHeaderRowCount = 16644
  TableObject = 2
  TextIndent = 4148
  TextOutline = 8226
  TextToolTip = 8228
  TextUnderlineColor = 8208
  TextUnderlineStyle = 8227
  TextVerticalAlignment = 8225
  UserFormat = 100
  UserObject = 4096
  UserProperty = 1048576
  WaveUnderline = 6

class QTextCursor(_Mock):
  pass
  BlockUnderCursor = 2
  Document = 3
  Down = 12
  End = 11
  EndOfBlock = 15
  EndOfLine = 13
  EndOfWord = 14
  KeepAnchor = 1
  Left = 9
  LineUnderCursor = 1
  MoveAnchor = 0
  NextBlock = 16
  NextCell = 21
  NextCharacter = 17
  NextRow = 23
  NextWord = 18
  NoMove = 0
  PreviousBlock = 6
  PreviousCell = 22
  PreviousCharacter = 7
  PreviousRow = 24
  PreviousWord = 8
  Right = 19
  Start = 1
  StartOfBlock = 4
  StartOfLine = 3
  StartOfWord = 5
  Up = 2
  WordLeft = 10
  WordRight = 20
  WordUnderCursor = 0

class QTextDocument(_Mock):
  pass
  DocumentTitle = 0
  DocumentUrl = 1
  FindBackward = 1
  FindCaseSensitively = 2
  FindWholeWords = 4
  HtmlResource = 1
  ImageResource = 2
  RedoStack = 2
  StyleSheetResource = 3
  UndoAndRedoStacks = 3
  UndoStack = 1
  UserResource = 100

class QTextEdit(_Mock):
  pass
  AutoAll = -1
  AutoBulletList = 1
  AutoNone = 0
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  FixedColumnWidth = 3
  FixedPixelWidth = 2
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoWrap = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WidgetWidth = 1
  WinPanel = 3

class QTextFormat(_Mock):
  pass
  AnchorHref = 8241
  AnchorName = 8242
  BackgroundBrush = 2080
  BackgroundImageUrl = 2083
  BlockAlignment = 4112
  BlockBottomMargin = 4145
  BlockFormat = 1
  BlockIndent = 4160
  BlockLeftMargin = 4146
  BlockNonBreakableLines = 4176
  BlockRightMargin = 4147
  BlockTopMargin = 4144
  BlockTrailingHorizontalRulerWidth = 4192
  CharFormat = 2
  CssFloat = 2048
  FirstFontProperty = 8160
  FontCapitalization = 8160
  FontFamily = 8192
  FontFixedPitch = 8200
  FontHintingPreference = 8166
  FontItalic = 8196
  FontKerning = 8165
  FontLetterSpacing = 8161
  FontOverline = 8198
  FontPixelSize = 8201
  FontPointSize = 8193
  FontSizeAdjustment = 8194
  FontSizeIncrement = 8194
  FontStrikeOut = 8199
  FontStyleHint = 8163
  FontStyleStrategy = 8164
  FontUnderline = 8197
  FontWeight = 8195
  FontWordSpacing = 8162
  ForegroundBrush = 2081
  FrameBorder = 16384
  FrameBorderBrush = 16393
  FrameBorderStyle = 16400
  FrameBottomMargin = 16390
  FrameFormat = 5
  FrameHeight = 16388
  FrameLeftMargin = 16391
  FrameMargin = 16385
  FramePadding = 16386
  FrameRightMargin = 16392
  FrameTopMargin = 16389
  FrameWidth = 16387
  FullWidthSelection = 24576
  ImageHeight = 20497
  ImageName = 20480
  ImageObject = 1
  ImageWidth = 20496
  InvalidFormat = -1
  IsAnchor = 8240
  LastFontProperty = 8201
  LayoutDirection = 2049
  LineHeight = 4168
  LineHeightType = 4169
  ListFormat = 3
  ListIndent = 12289
  ListNumberPrefix = 12290
  ListNumberSuffix = 12291
  ListStyle = 12288
  NoObject = 0
  ObjectIndex = 0
  ObjectType = 12032
  OutlinePen = 2064
  PageBreakPolicy = 28672
  PageBreak_AlwaysAfter = 16
  PageBreak_AlwaysBefore = 1
  PageBreak_Auto = 0
  TabPositions = 4149
  TableCellBottomPadding = 18451
  TableCellColumnSpan = 18449
  TableCellLeftPadding = 18452
  TableCellObject = 3
  TableCellPadding = 16643
  TableCellRightPadding = 18453
  TableCellRowSpan = 18448
  TableCellSpacing = 16642
  TableCellTopPadding = 18450
  TableColumnWidthConstraints = 16641
  TableColumns = 16640
  TableFormat = 4
  TableHeaderRowCount = 16644
  TableObject = 2
  TextIndent = 4148
  TextOutline = 8226
  TextToolTip = 8228
  TextUnderlineColor = 8208
  TextUnderlineStyle = 8227
  TextVerticalAlignment = 8225
  UserFormat = 100
  UserObject = 4096
  UserProperty = 1048576

class QTimer(_Mock):
  pass


class QToolTip(_Mock):
  pass


class QVBoxLayout(_Mock):
  pass
  BottomToTop = 3
  Down = 2
  LeftToRight = 0
  RightToLeft = 1
  SetDefaultConstraint = 0
  SetFixedSize = 3
  SetMaximumSize = 4
  SetMinAndMaxSize = 5
  SetMinimumSize = 2
  SetNoConstraint = 1
  TopToBottom = 2
  Up = 3

class QWidget(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class Qt(_Mock):
  pass
  AA_CaptureMultimediaKeys = 11
  AA_DontCreateNativeWidgetSiblings = 4
  AA_DontShowIconsInMenus = 2
  AA_DontUseNativeMenuBar = 6
  AA_ImmediateWidgetCreation = 0
  AA_MSWindowsUseDirect3DByDefault = 1
  AA_MacDontSwapCtrlAndMeta = 7
  AA_MacPluginApplication = 5
  AA_NativeWindows = 3
  AA_S60DisablePartialScreenInputMode = 9
  AA_S60DontConstructApplicationPanes = 8
  AA_X11InitThreads = 10
  ALT = 134217728
  AbsoluteSize = 0
  AccessibleDescriptionRole = 12
  AccessibleTextRole = 11
  ActionMask = 255
  ActionsContextMenu = 2
  ActiveWindowFocusReason = 3
  AlignAbsolute = 16
  AlignBottom = 64
  AlignCenter = 132
  AlignHCenter = 4
  AlignHorizontal_Mask = 31
  AlignJustify = 8
  AlignLeading = 1
  AlignLeft = 1
  AlignRight = 2
  AlignTop = 32
  AlignTrailing = 2
  AlignVCenter = 128
  AlignVertical_Mask = 224
  AllDockWidgetAreas = 15
  AllToolBarAreas = 15
  AltModifier = 134217728
  AnchorBottom = 5
  AnchorHorizontalCenter = 1
  AnchorHref = 1
  AnchorLeft = 0
  AnchorName = 0
  AnchorRight = 2
  AnchorTop = 3
  AnchorVerticalCenter = 4
  ApplicationModal = 2
  ApplicationShortcut = 2
  ArrowCursor = 0
  AscendingOrder = 0
  AutoColor = 0
  AutoCompatConnection = 3
  AutoConnection = 0
  AutoDither = 0
  AutoText = 2
  AvoidDither = 128
  BDiagPattern = 12
  BackgroundColorRole = 8
  BackgroundRole = 8
  BacktabFocusReason = 2
  BevelJoin = 64
  BitmapCursor = 24
  BlankCursor = 10
  BlockingQueuedConnection = 4
  BottomDockWidgetArea = 8
  BottomLeftCorner = 2
  BottomLeftSection = 8
  BottomRightCorner = 3
  BottomRightSection = 6
  BottomSection = 7
  BottomToolBarArea = 8
  BusyCursor = 16
  BypassGraphicsProxyWidget = 536870912
  CTRL = 67108864
  CaseInsensitive = 0
  CaseSensitive = 1
  CheckStateRole = 10
  Checked = 2
  ClickFocus = 2
  ClosedHandCursor = 18
  ColorOnly = 3
  ConicalGradientPattern = 17
  ContainsItemBoundingRect = 2
  ContainsItemShape = 0
  ControlModifier = 67108864
  CopyAction = 1
  CrossCursor = 2
  CrossPattern = 11
  CustomContextMenu = 3
  CustomCursor = 25
  CustomDashLine = 6
  CustomGesture = 256
  CustomizeWindowHint = 33554432
  DashDotDotLine = 5
  DashDotLine = 4
  DashLine = 2
  DecorationRole = 1
  DefaultContextMenu = 1
  DefaultLocaleLongDate = 7
  DefaultLocaleShortDate = 6
  Dense1Pattern = 2
  Dense2Pattern = 3
  Dense3Pattern = 4
  Dense4Pattern = 5
  Dense5Pattern = 6
  Dense6Pattern = 7
  Dense7Pattern = 8
  DescendingOrder = 1
  Desktop = 17
  DeviceCoordinates = 0
  DiagCrossPattern = 14
  Dialog = 3
  DiffuseAlphaDither = 8
  DiffuseDither = 0
  DirectConnection = 1
  DisplayRole = 0
  DockWidgetArea_Mask = 15
  DontStartGestureOnChildren = 1
  DotLine = 3
  DownArrow = 2
  DragCopyCursor = 19
  DragLinkCursor = 21
  DragMoveCursor = 20
  Drawer = 7
  EditRole = 2
  ElideLeft = 0
  ElideMiddle = 2
  ElideNone = 3
  ElideRight = 1
  ExactHit = 0
  FDiagPattern = 13
  FastTransformation = 0
  FlatCap = 0
  FontRole = 6
  ForbiddenCursor = 14
  ForegroundRole = 9
  FramelessWindowHint = 2048
  Friday = 5
  FuzzyHit = 1
  GestureCanceled = 4
  GestureFinished = 3
  GestureStarted = 1
  GestureUpdated = 2
  GroupSwitchModifier = 1073741824
  HighEventPriority = 1
  HorPattern = 9
  Horizontal = 1
  IBeamCursor = 4
  ISODate = 1
  IgnoreAction = 0
  IgnoreAspectRatio = 0
  IgnoredGesturesPropagateToParent = 4
  ImAnchorPosition = 6
  ImCurrentSelection = 4
  ImCursorPosition = 2
  ImFont = 1
  ImMaximumTextLength = 5
  ImMicroFocus = 0
  ImSurroundingText = 3
  ImhDialableCharactersOnly = 1048576
  ImhDigitsOnly = 65536
  ImhEmailCharactersOnly = 2097152
  ImhExclusiveInputMask = -65536
  ImhFormattedNumbersOnly = 131072
  ImhHiddenText = 1
  ImhLowercaseOnly = 524288
  ImhNoAutoUppercase = 2
  ImhNoPredictiveText = 32
  ImhNone = 0
  ImhPreferLowercase = 16
  ImhPreferNumbers = 4
  ImhPreferUppercase = 8
  ImhUppercaseOnly = 262144
  ImhUrlCharactersOnly = 4194304
  InitialSortOrderRole = 14
  IntersectClip = 2
  IntersectsItemBoundingRect = 3
  IntersectsItemShape = 1
  ItemIsDragEnabled = 4
  ItemIsDropEnabled = 8
  ItemIsEditable = 2
  ItemIsEnabled = 32
  ItemIsSelectable = 1
  ItemIsTristate = 64
  ItemIsUserCheckable = 16
  KeepAspectRatio = 1
  KeepAspectRatioByExpanding = 2
  Key_0 = 48
  Key_1 = 49
  Key_2 = 50
  Key_3 = 51
  Key_4 = 52
  Key_5 = 53
  Key_6 = 54
  Key_7 = 55
  Key_8 = 56
  Key_9 = 57
  Key_A = 65
  Key_AE = 198
  Key_Aacute = 193
  Key_Acircumflex = 194
  Key_AddFavorite = 16777408
  Key_Adiaeresis = 196
  Key_Agrave = 192
  Key_Alt = 16777251
  Key_AltGr = 16781571
  Key_Ampersand = 38
  Key_Any = 32
  Key_Apostrophe = 39
  Key_ApplicationLeft = 16777415
  Key_ApplicationRight = 16777416
  Key_Aring = 197
  Key_AsciiCircum = 94
  Key_AsciiTilde = 126
  Key_Asterisk = 42
  Key_At = 64
  Key_Atilde = 195
  Key_AudioCycleTrack = 16777478
  Key_AudioForward = 16777474
  Key_AudioRandomPlay = 16777476
  Key_AudioRepeat = 16777475
  Key_AudioRewind = 16777413
  Key_Away = 16777464
  Key_B = 66
  Key_Back = 16777313
  Key_BackForward = 16777414
  Key_Backslash = 92
  Key_Backspace = 16777219
  Key_Backtab = 16777218
  Key_Bar = 124
  Key_BassBoost = 16777331
  Key_BassDown = 16777333
  Key_BassUp = 16777332
  Key_Battery = 16777470
  Key_Bluetooth = 16777471
  Key_Book = 16777417
  Key_BraceLeft = 123
  Key_BraceRight = 125
  Key_BracketLeft = 91
  Key_BracketRight = 93
  Key_BrightnessAdjust = 16777410
  Key_C = 67
  Key_CD = 16777418
  Key_Calculator = 16777419
  Key_Calendar = 16777444
  Key_Call = 17825796
  Key_Camera = 17825824
  Key_CameraFocus = 17825825
  Key_Cancel = 16908289
  Key_CapsLock = 16777252
  Key_Ccedilla = 199
  Key_Clear = 16777227
  Key_ClearGrab = 16777421
  Key_Close = 16777422
  Key_Codeinput = 16781623
  Key_Colon = 58
  Key_Comma = 44
  Key_Community = 16777412
  Key_Context1 = 17825792
  Key_Context2 = 17825793
  Key_Context3 = 17825794
  Key_Context4 = 17825795
  Key_ContrastAdjust = 16777485
  Key_Control = 16777249
  Key_Copy = 16777423
  Key_Cut = 16777424
  Key_D = 68
  Key_DOS = 16777426
  Key_Dead_Abovedot = 16781910
  Key_Dead_Abovering = 16781912
  Key_Dead_Acute = 16781905
  Key_Dead_Belowdot = 16781920
  Key_Dead_Breve = 16781909
  Key_Dead_Caron = 16781914
  Key_Dead_Cedilla = 16781915
  Key_Dead_Circumflex = 16781906
  Key_Dead_Diaeresis = 16781911
  Key_Dead_Doubleacute = 16781913
  Key_Dead_Grave = 16781904
  Key_Dead_Hook = 16781921
  Key_Dead_Horn = 16781922
  Key_Dead_Iota = 16781917
  Key_Dead_Macron = 16781908
  Key_Dead_Ogonek = 16781916
  Key_Dead_Semivoiced_Sound = 16781919
  Key_Dead_Tilde = 16781907
  Key_Dead_Voiced_Sound = 16781918
  Key_Delete = 16777223
  Key_Direction_L = 16777305
  Key_Direction_R = 16777312
  Key_Display = 16777425
  Key_Documents = 16777427
  Key_Dollar = 36
  Key_Down = 16777237
  Key_E = 69
  Key_ETH = 208
  Key_Eacute = 201
  Key_Ecircumflex = 202
  Key_Ediaeresis = 203
  Key_Egrave = 200
  Key_Eisu_Shift = 16781615
  Key_Eisu_toggle = 16781616
  Key_Eject = 16777401
  Key_End = 16777233
  Key_Enter = 16777221
  Key_Equal = 61
  Key_Escape = 16777216
  Key_Excel = 16777428
  Key_Exclam = 33
  Key_Execute = 16908291
  Key_Explorer = 16777429
  Key_F = 70
  Key_F1 = 16777264
  Key_F10 = 16777273
  Key_F11 = 16777274
  Key_F12 = 16777275
  Key_F13 = 16777276
  Key_F14 = 16777277
  Key_F15 = 16777278
  Key_F16 = 16777279
  Key_F17 = 16777280
  Key_F18 = 16777281
  Key_F19 = 16777282
  Key_F2 = 16777265
  Key_F20 = 16777283
  Key_F21 = 16777284
  Key_F22 = 16777285
  Key_F23 = 16777286
  Key_F24 = 16777287
  Key_F25 = 16777288
  Key_F26 = 16777289
  Key_F27 = 16777290
  Key_F28 = 16777291
  Key_F29 = 16777292
  Key_F3 = 16777266
  Key_F30 = 16777293
  Key_F31 = 16777294
  Key_F32 = 16777295
  Key_F33 = 16777296
  Key_F34 = 16777297
  Key_F35 = 16777298
  Key_F4 = 16777267
  Key_F5 = 16777268
  Key_F6 = 16777269
  Key_F7 = 16777270
  Key_F8 = 16777271
  Key_F9 = 16777272
  Key_Favorites = 16777361
  Key_Finance = 16777411
  Key_Flip = 17825798
  Key_Forward = 16777314
  Key_G = 71
  Key_Game = 16777430
  Key_Go = 16777431
  Key_Greater = 62
  Key_H = 72
  Key_Hangul = 16781617
  Key_Hangul_Banja = 16781625
  Key_Hangul_End = 16781619
  Key_Hangul_Hanja = 16781620
  Key_Hangul_Jamo = 16781621
  Key_Hangul_Jeonja = 16781624
  Key_Hangul_PostHanja = 16781627
  Key_Hangul_PreHanja = 16781626
  Key_Hangul_Romaja = 16781622
  Key_Hangul_Special = 16781631
  Key_Hangul_Start = 16781618
  Key_Hangup = 17825797
  Key_Hankaku = 16781609
  Key_Help = 16777304
  Key_Henkan = 16781603
  Key_Hibernate = 16777480
  Key_Hiragana = 16781605
  Key_Hiragana_Katakana = 16781607
  Key_History = 16777407
  Key_Home = 16777232
  Key_HomePage = 16777360
  Key_HotLinks = 16777409
  Key_Hyper_L = 16777302
  Key_Hyper_R = 16777303
  Key_I = 73
  Key_Iacute = 205
  Key_Icircumflex = 206
  Key_Idiaeresis = 207
  Key_Igrave = 204
  Key_Insert = 16777222
  Key_J = 74
  Key_K = 75
  Key_Kana_Lock = 16781613
  Key_Kana_Shift = 16781614
  Key_Kanji = 16781601
  Key_Katakana = 16781606
  Key_KeyboardBrightnessDown = 16777398
  Key_KeyboardBrightnessUp = 16777397
  Key_KeyboardLightOnOff = 16777396
  Key_L = 76
  Key_LastNumberRedial = 17825801
  Key_Launch0 = 16777378
  Key_Launch1 = 16777379
  Key_Launch2 = 16777380
  Key_Launch3 = 16777381
  Key_Launch4 = 16777382
  Key_Launch5 = 16777383
  Key_Launch6 = 16777384
  Key_Launch7 = 16777385
  Key_Launch8 = 16777386
  Key_Launch9 = 16777387
  Key_LaunchA = 16777388
  Key_LaunchB = 16777389
  Key_LaunchC = 16777390
  Key_LaunchD = 16777391
  Key_LaunchE = 16777392
  Key_LaunchF = 16777393
  Key_LaunchG = 16777486
  Key_LaunchH = 16777487
  Key_LaunchMail = 16777376
  Key_LaunchMedia = 16777377
  Key_Left = 16777234
  Key_Less = 60
  Key_LightBulb = 16777405
  Key_LogOff = 16777433
  Key_M = 77
  Key_MailForward = 16777467
  Key_Market = 16777434
  Key_Massyo = 16781612
  Key_MediaLast = 16842751
  Key_MediaNext = 16777347
  Key_MediaPause = 16777349
  Key_MediaPlay = 16777344
  Key_MediaPrevious = 16777346
  Key_MediaRecord = 16777348
  Key_MediaStop = 16777345
  Key_MediaTogglePlayPause = 16777350
  Key_Meeting = 16777435
  Key_Memo = 16777404
  Key_Menu = 16777301
  Key_MenuKB = 16777436
  Key_MenuPB = 16777437
  Key_Messenger = 16777465
  Key_Meta = 16777250
  Key_Minus = 45
  Key_Mode_switch = 16781694
  Key_MonBrightnessDown = 16777395
  Key_MonBrightnessUp = 16777394
  Key_Muhenkan = 16781602
  Key_Multi_key = 16781600
  Key_MultipleCandidate = 16781629
  Key_Music = 16777469
  Key_MySites = 16777438
  Key_N = 78
  Key_News = 16777439
  Key_No = 16842754
  Key_Ntilde = 209
  Key_NumLock = 16777253
  Key_NumberSign = 35
  Key_O = 79
  Key_Oacute = 211
  Key_Ocircumflex = 212
  Key_Odiaeresis = 214
  Key_OfficeHome = 16777440
  Key_Ograve = 210
  Key_Ooblique = 216
  Key_OpenUrl = 16777364
  Key_Option = 16777441
  Key_Otilde = 213
  Key_P = 80
  Key_PageDown = 16777239
  Key_PageUp = 16777238
  Key_ParenLeft = 40
  Key_ParenRight = 41
  Key_Paste = 16777442
  Key_Pause = 16777224
  Key_Percent = 37
  Key_Period = 46
  Key_Phone = 16777443
  Key_Pictures = 16777468
  Key_Play = 16908293
  Key_Plus = 43
  Key_PowerDown = 16777483
  Key_PowerOff = 16777399
  Key_PreviousCandidate = 16781630
  Key_Print = 16777225
  Key_Printer = 16908290
  Key_Q = 81
  Key_Question = 63
  Key_QuoteDbl = 34
  Key_QuoteLeft = 96
  Key_R = 82
  Key_Refresh = 16777316
  Key_Reload = 16777446
  Key_Reply = 16777445
  Key_Return = 16777220
  Key_Right = 16777236
  Key_Romaji = 16781604
  Key_RotateWindows = 16777447
  Key_RotationKB = 16777449
  Key_RotationPB = 16777448
  Key_S = 83
  Key_Save = 16777450
  Key_ScreenSaver = 16777402
  Key_ScrollLock = 16777254
  Key_Search = 16777362
  Key_Select = 16842752
  Key_Semicolon = 59
  Key_Send = 16777451
  Key_Shift = 16777248
  Key_Shop = 16777406
  Key_SingleCandidate = 16781628
  Key_Slash = 47
  Key_Sleep = 16908292
  Key_Space = 32
  Key_Spell = 16777452
  Key_SplitScreen = 16777453
  Key_Standby = 16777363
  Key_Stop = 16777315
  Key_Subtitle = 16777477
  Key_Super_L = 16777299
  Key_Super_R = 16777300
  Key_Support = 16777454
  Key_Suspend = 16777484
  Key_SysReq = 16777226
  Key_T = 84
  Key_THORN = 222
  Key_Tab = 16777217
  Key_TaskPane = 16777455
  Key_Terminal = 16777456
  Key_Time = 16777479
  Key_ToDoList = 16777420
  Key_ToggleCallHangup = 17825799
  Key_Tools = 16777457
  Key_TopMenu = 16777482
  Key_Touroku = 16781611
  Key_Travel = 16777458
  Key_TrebleDown = 16777335
  Key_TrebleUp = 16777334
  Key_U = 85
  Key_UWB = 16777473
  Key_Uacute = 218
  Key_Ucircumflex = 219
  Key_Udiaeresis = 220
  Key_Ugrave = 217
  Key_Underscore = 95
  Key_Up = 16777235
  Key_V = 86
  Key_Video = 16777459
  Key_View = 16777481
  Key_VoiceDial = 17825800
  Key_VolumeDown = 16777328
  Key_VolumeMute = 16777329
  Key_VolumeUp = 16777330
  Key_W = 87
  Key_WLAN = 16777472
  Key_WWW = 16777403
  Key_WakeUp = 16777400
  Key_WebCam = 16777466
  Key_Word = 16777460
  Key_X = 88
  Key_Xfer = 16777461
  Key_Y = 89
  Key_Yacute = 221
  Key_Yes = 16842753
  Key_Z = 90
  Key_Zenkaku = 16781608
  Key_Zenkaku_Hankaku = 16781610
  Key_Zoom = 16908294
  Key_ZoomIn = 16777462
  Key_ZoomOut = 16777463
  Key_acute = 180
  Key_brokenbar = 166
  Key_cedilla = 184
  Key_cent = 162
  Key_copyright = 169
  Key_currency = 164
  Key_degree = 176
  Key_diaeresis = 168
  Key_division = 247
  Key_exclamdown = 161
  Key_guillemotleft = 171
  Key_guillemotright = 187
  Key_hyphen = 173
  Key_iTouch = 16777432
  Key_macron = 175
  Key_masculine = 186
  Key_mu = 181
  Key_multiply = 215
  Key_nobreakspace = 160
  Key_notsign = 172
  Key_onehalf = 189
  Key_onequarter = 188
  Key_onesuperior = 185
  Key_ordfeminine = 170
  Key_paragraph = 182
  Key_periodcentered = 183
  Key_plusminus = 177
  Key_questiondown = 191
  Key_registered = 174
  Key_section = 167
  Key_ssharp = 223
  Key_sterling = 163
  Key_threequarters = 190
  Key_threesuperior = 179
  Key_twosuperior = 178
  Key_unknown = 33554431
  Key_ydiaeresis = 255
  Key_yen = 165
  KeyboardModifierMask = -33554432
  KeypadModifier = 536870912
  LastCursor = 21
  LayoutDirectionAuto = 2
  LeftArrow = 3
  LeftButton = 1
  LeftDockWidgetArea = 1
  LeftSection = 1
  LeftToRight = 0
  LeftToolBarArea = 1
  LinearGradientPattern = 15
  LinkAction = 4
  LinksAccessibleByKeyboard = 8
  LinksAccessibleByMouse = 4
  LocalDate = 2
  LocalTime = 0
  LocaleDate = 3
  LogText = 3
  LogicalCoordinates = 1
  LogicalMoveStyle = 0
  LowEventPriority = -1
  META = 268435456
  MODIFIER_MASK = -33554432
  MPenCapStyle = 48
  MPenJoinStyle = 448
  MPenStyle = 15
  MSWindowsFixedSizeDialogHint = 256
  MSWindowsOwnDC = 512
  MacWindowToolBarButtonHint = 268435456
  MaskInColor = 0
  MaskOutColor = 1
  MatchCaseSensitive = 16
  MatchContains = 1
  MatchEndsWith = 3
  MatchExactly = 0
  MatchFixedString = 8
  MatchRecursive = 64
  MatchRegExp = 4
  MatchStartsWith = 2
  MatchWildcard = 5
  MatchWrap = 32
  MaximumSize = 2
  MenuBarFocusReason = 6
  MetaModifier = 268435456
  MidButton = 4
  MiddleButton = 4
  MinimumDescent = 3
  MinimumSize = 0
  MiterJoin = 0
  Monday = 1
  MonoOnly = 2
  MouseFocusReason = 0
  MoveAction = 2
  NavigationModeCursorAuto = 3
  NavigationModeCursorForceVisible = 4
  NavigationModeKeypadDirectional = 2
  NavigationModeKeypadTabOrder = 1
  NavigationModeNone = 0
  NoArrow = 0
  NoBrush = 0
  NoButton = 0
  NoClip = 0
  NoContextMenu = 0
  NoDockWidgetArea = 0
  NoFocus = 0
  NoFocusReason = 8
  NoItemFlags = 0
  NoModifier = 0
  NoPen = 0
  NoSection = 0
  NoTextInteraction = 0
  NoToolBarArea = 0
  NonModal = 0
  NormalEventPriority = 0
  OddEvenFill = 0
  OffsetFromUTC = 2
  OpaqueMode = 1
  OpenHandCursor = 17
  OrderedAlphaDither = 4
  OrderedDither = 16
  OtherFocusReason = 7
  PanGesture = 3
  PartiallyChecked = 1
  PinchGesture = 4
  PlainText = 0
  PointingHandCursor = 13
  Popup = 9
  PopupFocusReason = 4
  PreferDither = 64
  PreferredSize = 1
  PreventContextMenu = 4
  QueuedConnection = 2
  RadialGradientPattern = 16
  ReceivePartialGestures = 2
  RelativeSize = 1
  RepeatTile = 1
  ReplaceClip = 1
  RichText = 1
  RightArrow = 4
  RightButton = 2
  RightDockWidgetArea = 2
  RightSection = 5
  RightToLeft = 1
  RightToolBarArea = 2
  RoundCap = 32
  RoundJoin = 128
  RoundTile = 2
  SHIFT = 33554432
  Saturday = 6
  ScrollBarAlwaysOff = 1
  ScrollBarAlwaysOn = 2
  ScrollBarAsNeeded = 0
  Sheet = 5
  ShiftModifier = 33554432
  ShortcutFocusReason = 5
  SizeAllCursor = 9
  SizeBDiagCursor = 7
  SizeFDiagCursor = 8
  SizeHintRole = 13
  SizeHorCursor = 6
  SizeVerCursor = 5
  SmoothTransformation = 1
  SolidLine = 1
  SolidPattern = 1
  SplashScreen = 15
  SplitHCursor = 12
  SplitVCursor = 11
  SquareCap = 16
  StatusTipRole = 4
  StretchTile = 0
  StrongFocus = 11
  SubWindow = 18
  Sunday = 7
  SvgMiterJoin = 256
  SwipeGesture = 5
  SystemLocaleDate = 2
  SystemLocaleLongDate = 5
  SystemLocaleShortDate = 4
  TabFocus = 1
  TabFocusReason = 1
  TapAndHoldGesture = 2
  TapGesture = 1
  TargetMoveAction = 32770
  TextAlignmentRole = 7
  TextBrowserInteraction = 13
  TextColorRole = 9
  TextDate = 0
  TextDontClip = 512
  TextDontPrint = 16384
  TextEditable = 16
  TextEditorInteraction = 19
  TextExpandTabs = 1024
  TextHideMnemonic = 32768
  TextIncludeTrailingSpaces = 134217728
  TextJustificationForced = 65536
  TextSelectableByKeyboard = 2
  TextSelectableByMouse = 1
  TextShowMnemonic = 2048
  TextSingleLine = 256
  TextWordWrap = 4096
  TextWrapAnywhere = 8192
  TexturePattern = 24
  ThresholdAlphaDither = 0
  ThresholdDither = 32
  Thursday = 4
  TitleBarArea = 9
  Tool = 11
  ToolBarArea_Mask = 15
  ToolButtonFollowStyle = 4
  ToolButtonIconOnly = 0
  ToolButtonTextBesideIcon = 2
  ToolButtonTextOnly = 1
  ToolButtonTextUnderIcon = 3
  ToolTip = 13
  ToolTipRole = 3
  TopDockWidgetArea = 4
  TopLeftCorner = 0
  TopLeftSection = 2
  TopRightCorner = 1
  TopRightSection = 4
  TopSection = 3
  TopToolBarArea = 4
  TouchPointMoved = 2
  TouchPointPressed = 1
  TouchPointReleased = 8
  TouchPointStationary = 4
  TransparentMode = 0
  Tuesday = 2
  UI_AnimateCombo = 3
  UI_AnimateMenu = 1
  UI_AnimateToolBox = 6
  UI_AnimateTooltip = 4
  UI_FadeMenu = 2
  UI_FadeTooltip = 5
  UI_General = 0
  UNICODE_ACCEL = 0
  UTC = 1
  Unchecked = 0
  UniqueConnection = 128
  UniteClip = 3
  UpArrow = 1
  UpArrowCursor = 1
  UserRole = 32
  VerPattern = 10
  Vertical = 2
  VisualMoveStyle = 1
  WA_AcceptDrops = 78
  WA_AcceptTouchEvents = 121
  WA_AlwaysShowToolTips = 84
  WA_AttributeCount = 135
  WA_AutoOrientation = 130
  WA_CustomWhatsThis = 47
  WA_DeleteOnClose = 55
  WA_Disabled = 0
  WA_DontCreateNativeAncestors = 101
  WA_ForceDisabled = 32
  WA_ForceUpdatesDisabled = 59
  WA_GrabbedShortcut = 50
  WA_GroupLeader = 72
  WA_Hover = 74
  WA_InputMethodEnabled = 14
  WA_InputMethodTransparent = 75
  WA_InvalidSize = 45
  WA_KeyCompression = 33
  WA_KeyboardFocusChange = 77
  WA_LaidOut = 7
  WA_LayoutOnEntireRect = 48
  WA_LayoutUsesWidgetRect = 92
  WA_LockLandscapeOrientation = 129
  WA_LockPortraitOrientation = 128
  WA_MSWindowsUseDirect3D = 94
  WA_MacAlwaysShowToolWindow = 96
  WA_MacBrushedMetal = 46
  WA_MacFrameworkScaled = 117
  WA_MacMetalStyle = 46
  WA_MacMiniSize = 91
  WA_MacNoClickThrough = 12
  WA_MacNoShadow = 134
  WA_MacNormalSize = 89
  WA_MacOpaqueSizeGrip = 85
  WA_MacShowFocusRect = 88
  WA_MacSmallSize = 90
  WA_MacVariableSize = 102
  WA_Mapped = 11
  WA_MergeSoftkeys = 124
  WA_MergeSoftkeysRecursively = 125
  WA_MouseNoMask = 71
  WA_MouseTracking = 2
  WA_Moved = 43
  WA_NativeWindow = 100
  WA_NoChildEventsForParent = 58
  WA_NoChildEventsFromChildren = 39
  WA_NoMousePropagation = 73
  WA_NoMouseReplay = 54
  WA_NoSystemBackground = 9
  WA_NoX11EventCompression = 81
  WA_OpaquePaintEvent = 4
  WA_OutsideWSRange = 49
  WA_PaintOnScreen = 8
  WA_PaintOutsidePaintEvent = 13
  WA_PaintUnclipped = 52
  WA_PendingMoveEvent = 34
  WA_PendingResizeEvent = 35
  WA_PendingUpdate = 44
  WA_QuitOnClose = 76
  WA_Resized = 42
  WA_RightToLeft = 56
  WA_SetCursor = 38
  WA_SetFont = 37
  WA_SetLayoutDirection = 57
  WA_SetLocale = 87
  WA_SetPalette = 36
  WA_SetStyle = 86
  WA_SetWindowIcon = 53
  WA_ShowWithoutActivating = 98
  WA_StaticContents = 5
  WA_StyleSheet = 97
  WA_StyledBackground = 93
  WA_TintedBackground = 82
  WA_TouchPadAcceptSingleTouchEvents = 123
  WA_TranslucentBackground = 120
  WA_TransparentForMouseEvents = 51
  WA_UnderMouse = 1
  WA_UpdatesDisabled = 10
  WA_WState_CompressKeys = 61
  WA_WState_ConfigPending = 64
  WA_WState_Created = 60
  WA_WState_ExplicitShowHide = 69
  WA_WState_Hidden = 16
  WA_WState_InPaintEvent = 62
  WA_WState_OwnSizePolicy = 68
  WA_WState_Polished = 66
  WA_WState_Reparented = 63
  WA_WState_Visible = 15
  WA_WindowModified = 41
  WA_WindowPropagation = 80
  WA_X11DoNotAcceptFocus = 132
  WA_X11NetWmWindowTypeCombo = 115
  WA_X11NetWmWindowTypeDND = 116
  WA_X11NetWmWindowTypeDesktop = 104
  WA_X11NetWmWindowTypeDialog = 110
  WA_X11NetWmWindowTypeDock = 105
  WA_X11NetWmWindowTypeDropDownMenu = 111
  WA_X11NetWmWindowTypeMenu = 107
  WA_X11NetWmWindowTypeNotification = 114
  WA_X11NetWmWindowTypePopupMenu = 112
  WA_X11NetWmWindowTypeSplash = 109
  WA_X11NetWmWindowTypeToolBar = 106
  WA_X11NetWmWindowTypeToolTip = 113
  WA_X11NetWmWindowTypeUtility = 108
  WA_X11OpenGLOverlay = 83
  WDestructiveClose = 'TO BE DONE'
  WaitCursor = 3
  Wednesday = 3
  WhatsThisCursor = 15
  WhatsThisRole = 5
  WheelFocus = 15
  WhiteSpaceModeUndefined = -1
  WhiteSpaceNoWrap = 2
  WhiteSpaceNormal = 0
  WhiteSpacePre = 1
  Widget = 0
  WidgetShortcut = 0
  WidgetWithChildrenShortcut = 3
  WindingFill = 1
  Window = 1
  WindowActive = 8
  WindowCancelButtonHint = 1048576
  WindowCloseButtonHint = 134217728
  WindowContextHelpButtonHint = 65536
  WindowFullScreen = 4
  WindowMaximizeButtonHint = 32768
  WindowMaximized = 2
  WindowMinMaxButtonsHint = 49152
  WindowMinimizeButtonHint = 16384
  WindowMinimized = 1
  WindowModal = 1
  WindowNoState = 0
  WindowOkButtonHint = 524288
  WindowShadeButtonHint = 131072
  WindowShortcut = 1
  WindowSoftkeysRespondHint = -2147483648
  WindowSoftkeysVisibleHint = 1073741824
  WindowStaysOnBottomHint = 67108864
  WindowStaysOnTopHint = 262144
  WindowSystemMenuHint = 8192
  WindowTitleHint = 4096
  WindowType_Mask = 255
  X11BypassWindowManagerHint = 1024
  XAxis = 0
  XButton1 = 8
  XButton2 = 16
  YAxis = 1
  ZAxis = 2
  black = 2
  blue = 9
  color0 = 0
  color1 = 1
  cyan = 10
  darkBlue = 15
  darkCyan = 16
  darkGray = 4
  darkGreen = 14
  darkMagenta = 17
  darkRed = 13
  darkYellow = 18
  gray = 5
  green = 8
  lightGray = 6
  magenta = 11
  red = 7
  transparent = 19
  white = 3
  yellow = 12

class RopeProject(_Mock):
  pass


class ScrollFlagArea(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  FLAGS_DX = 4
  FLAGS_DY = 2
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  WIDTH = 12

class TestWidget(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class TextEditBaseWidget(_Mock):
  pass
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  NoWrap = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WidgetWidth = 1
  WinPanel = 3

