from __future__ import print_function
from _mock import _Mock

Release = __import__('taurus.core.release', fromlist=['release'])
init_bkcomp = __import__('taurus.core.init_bkcomp', fromlist=['init_bkcomp'])
release = __import__('taurus.core.release', fromlist=['release'])
taurus = __import__('taurus', fromlist=['taurus'])
taurusattribute = __import__('taurus.core.taurusattribute', fromlist=['taurusattribute'])
taurusbasetypes = __import__('taurus.core.taurusbasetypes', fromlist=['taurusbasetypes'])
taurusconfiguration = __import__('taurus.core.taurusconfiguration', fromlist=['taurusconfiguration'])
taurusdatabase = __import__('taurus.core.taurusdatabase', fromlist=['taurusdatabase'])
taurusdevice = __import__('taurus.core.taurusdevice', fromlist=['taurusdevice'])
taurusexception = __import__('taurus.core.taurusexception', fromlist=['taurusexception'])
taurusfactory = __import__('taurus.core.taurusfactory', fromlist=['taurusfactory'])
taurushelper = __import__('taurus.core.taurushelper', fromlist=['taurushelper'])
tauruslistener = __import__('taurus.core.tauruslistener', fromlist=['tauruslistener'])
taurusmanager = __import__('taurus.core.taurusmanager', fromlist=['taurusmanager'])
taurusmodel = __import__('taurus.core.taurusmodel', fromlist=['taurusmodel'])
taurusoperation = __import__('taurus.core.taurusoperation', fromlist=['taurusoperation'])
tauruspollingtimer = __import__('taurus.core.tauruspollingtimer', fromlist=['tauruspollingtimer'])
taurusvalidator = __import__('taurus.core.taurusvalidator', fromlist=['taurusvalidator'])
util = __import__('taurus.core.util', fromlist=['util'])


AttrAccess = _Mock()

AttrQuality = _Mock()

DataFormat = _Mock()

DisplayLevel = _Mock()

LockStatus = _Mock()

ManagerState = _Mock()

MatchLevel = _Mock()

OperationMode = _Mock()

SubscriptionState = _Mock()

TaurusElementType = _Mock()

TaurusEventType = _Mock()

TaurusSWDevHealth = _Mock()

TaurusSWDevState = _Mock()

TaurusSerializationMode = _Mock()

LIGHTWEIGHT_IMPORTS = _Mock()

class AbstractTangoValidator(_Mock):
  pass
  protocol_prefix = 'tango://'
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="

class AttributeNameValidator(_Mock):
  pass
  attr = "/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  complete_name = "(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})/(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  normal_name = "((?P<scheme>tango)://)?(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  protocol_prefix = 'tango://'
  short_name = "(?P<devalias>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  w = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"

class ConfigurationNameValidator(_Mock):
  pass
  complete_name = "(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})/(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)\\?(?i)configuration(=(?P<configparam>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+))*"
  conf = "\\?(?i)configuration(=(?P<configparam>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+))*"
  normal_name = "((?P<scheme>tango)://)?(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)\\?(?i)configuration(=(?P<configparam>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+))*"
  protocol_prefix = 'tango://'
  short_name = "(?P<devalias>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)\\?(?i)configuration(=(?P<configparam>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+))*"
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  w = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"

class DatabaseNameValidator(_Mock):
  pass
  complete_name = '(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})'
  db = '(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})'
  normal_name = '(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})'
  protocol_prefix = '((?P<scheme>tango)://)?'
  short_name = '(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})'
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="

class DeviceNameValidator(_Mock):
  pass
  complete_name = "(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})/(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  dev = "(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  normal_name = "((?P<scheme>tango)://)?(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  protocol_prefix = 'tango://'
  short_name = "(?P<devalias>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  w = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"

class DoubleRegistration(_Mock):
  pass


class TaurusAttrInfo(_Mock):
  pass


class TaurusAttrValue(_Mock):
  pass


class TaurusAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusConfigValue(_Mock):
  pass


class TaurusConfiguration(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DftTimeToLive = 10000
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  no_abs_change = 'Not specified'
  no_archive_abs_change = 'Not specified'
  no_archive_period = 'Not specified'
  no_archive_rel_change = 'Not specified'
  no_cfg_value = '-----'
  no_delta_t = 'Not specified'
  no_delta_val = 'Not specified'
  no_description = 'No description'
  no_display_unit = 'No display unit'
  no_max_alarm = 'Not specified'
  no_max_value = 'Not specified'
  no_max_warning = 'Not specified'
  no_min_alarm = 'Not specified'
  no_min_value = 'Not specified'
  no_min_warning = 'Not specified'
  no_rel_change = 'Not specified'
  no_standard_unit = 'No standard unit'
  no_unit = 'No unit'
  not_specified = 'Not specified'
  root_inited = True

class TaurusConfigurationProxy(_Mock):
  pass


class TaurusDatabase(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusDatabaseCache(_Mock):
  pass


class TaurusDevClassInfo(_Mock):
  pass


class TaurusDevInfo(_Mock):
  pass


class TaurusDevTree(_Mock):
  pass


class TaurusDevice(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusException(_Mock):
  pass


class TaurusExceptionListener(_Mock):
  pass


class TaurusFactory(_Mock):
  pass
  DefaultPollingPeriod = 3000

class TaurusInfo(_Mock):
  pass


class TaurusListener(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusLockInfo(_Mock):
  pass
  LOCK_STATUS_UNKNOWN = 'Lock status unknown'

class TaurusManager(_Mock):
  pass
  Critical = 50
  Debug = 10
  DefaultSerializationMode = 1
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  PLUGIN_KEY = '__taurus_plugin__'
  Trace = 5
  Warning = 30
  default_scheme = 'tango'
  log_level = 20
  root_inited = True

class TaurusModel(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusOperation(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusPollingTimer(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusServInfo(_Mock):
  pass


class TaurusServerTree(_Mock):
  pass


class TaurusStateAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TaurusTimeVal(_Mock):
  pass


class WriteAttrOperation(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

