from __future__ import print_function
from _mock import _Mock

evalfactory = __import__('taurus.core.evaluation.evalfactory', fromlist=['evalfactory'])






class EvaluationAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class EvaluationAttributeNameValidator(_Mock):
  pass
  kvsymbols_pattern = '([a-zA-Z_][a-zA-Z0-9_]*)=([^#;]+)'
  name_pattern = '^(?P<scheme>eval|evaluation)://(db=(?P<dbname>[^?#;]+);)?(dev=(?P<devname>[^?#;]+);)?(?P<attrname>[^?#;]+)(\\?(?!configuration=)(?P<subst>[^#?]*))?(#(?P<fragment>.*))?$'

class EvaluationConfiguration(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DftTimeToLive = 10000
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  no_abs_change = 'Not specified'
  no_archive_abs_change = 'Not specified'
  no_archive_period = 'Not specified'
  no_archive_rel_change = 'Not specified'
  no_cfg_value = '-----'
  no_delta_t = 'Not specified'
  no_delta_val = 'Not specified'
  no_description = 'No description'
  no_display_unit = 'No display unit'
  no_max_alarm = 'Not specified'
  no_max_value = 'Not specified'
  no_max_warning = 'Not specified'
  no_min_alarm = 'Not specified'
  no_min_value = 'Not specified'
  no_min_warning = 'Not specified'
  no_rel_change = 'Not specified'
  no_standard_unit = 'No standard unit'
  no_unit = 'No unit'
  not_specified = 'Not specified'
  root_inited = True

class EvaluationConfigurationNameValidator(_Mock):
  pass
  kvsymbols_pattern = '([a-zA-Z_][a-zA-Z0-9_]*)=([^#;]+)'
  name_pattern = '^(?P<scheme>eval|evaluation)://(db=(?P<dbname>[^?#;]+);)?(dev=(?P<devname>[^?#;]+);)?(?P<attrname>[^?#;]+)(\\?(?!configuration=)(?P<subst>[^#?]*))?(\\?configuration=?(?P<cfgkey>[^#?]*))$'

class EvaluationDatabase(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class EvaluationDevice(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class EvaluationDeviceNameValidator(_Mock):
  pass
  kvsymbols_pattern = '([a-zA-Z_][a-zA-Z0-9_]*)=([^#;]+)'
  name_pattern = '^(?P<scheme>eval|evaluation)://(db=(?P<dbname>[^?#;]+);)?(dev=(?P<devname>[^?#;]+))(\\?(?!configuration=)(?P<subst>[^#?]*))?$'

class EvaluationFactory(_Mock):
  pass
  Critical = 50
  DEFAULT_DATABASE = '_DefaultEvalDB'
  DEFAULT_DEVICE = '_DefaultEvaluator'
  Debug = 10
  DefaultPollingPeriod = 3000
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

