from __future__ import print_function
from _mock import _Mock

enums = __import__('taurus.core.tango.enums', fromlist=['enums'])
tangoattribute = __import__('taurus.core.tango.tangoattribute', fromlist=['tangoattribute'])
tangoconfiguration = __import__('taurus.core.tango.tangoconfiguration', fromlist=['tangoconfiguration'])
tangodatabase = __import__('taurus.core.tango.tangodatabase', fromlist=['tangodatabase'])
tangodevice = __import__('taurus.core.tango.tangodevice', fromlist=['tangodevice'])
tangofactory = __import__('taurus.core.tango.tangofactory', fromlist=['tangofactory'])


EVENT_TO_POLLING_EXCEPTIONS = _Mock()

FROM_TANGO_TO_NUMPY_TYPE = _Mock()

FROM_TANGO_TO_STR_TYPE = _Mock()

TangoObjectType = _Mock()



class TangoAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TangoAttributeEventListener(_Mock):
  pass


class TangoConfiguration(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DftTimeToLive = 10000
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  no_abs_change = 'Not specified'
  no_archive_abs_change = 'Not specified'
  no_archive_period = 'Not specified'
  no_archive_rel_change = 'Not specified'
  no_cfg_value = '-----'
  no_delta_t = 'Not specified'
  no_delta_val = 'Not specified'
  no_description = 'No description'
  no_display_unit = 'No display unit'
  no_max_alarm = 'Not specified'
  no_max_value = 'Not specified'
  no_max_warning = 'Not specified'
  no_min_alarm = 'Not specified'
  no_min_value = 'Not specified'
  no_min_warning = 'Not specified'
  no_rel_change = 'Not specified'
  no_standard_unit = 'No standard unit'
  no_unit = 'No unit'
  not_specified = 'Not specified'
  root_inited = True

class TangoDatabase(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TangoDatabaseCache(_Mock):
  pass


class TangoDevInfo(_Mock):
  pass


class TangoDevice(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TangoFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DefaultPollingPeriod = 3000
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

class TangoServInfo(_Mock):
  pass


class TangoStateAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 20
  root_inited = True

