from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
eventfilters = __import__('taurus.core.util.eventfilters', fromlist=['eventfilters'])
taurus = __import__('taurus', fromlist=['taurus'])


PyTango = _Mock()

TTANGO_TO_TQT = _Mock()

TaurusElementType = _Mock()

TaurusEventType = _Mock()

filterEvent = _Mock()

sys = _Mock()

threading = _Mock()

DefaultNoneValue = '-----'

TAURUS_ATTR_MIME_TYPE = 'application/taurus-attribute'

TAURUS_DEV_MIME_TYPE = 'application/taurus-device'

TAURUS_MODEL_MIME_TYPE = 'application/taurus-model'

class ActionFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class BaseConfigurableClass(_Mock):
  pass
  defaultConfigRecursionDepth = -1

class TaurusAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class TaurusBaseComponent(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseWritableWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  appliedSignalSignature = 'applied'
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusConfiguration(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DftTimeToLive = 10000
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  no_abs_change = 'Not specified'
  no_archive_abs_change = 'Not specified'
  no_archive_period = 'Not specified'
  no_archive_rel_change = 'Not specified'
  no_cfg_value = '-----'
  no_delta_t = 'Not specified'
  no_delta_val = 'Not specified'
  no_description = 'No description'
  no_display_unit = 'No display unit'
  no_max_alarm = 'Not specified'
  no_max_value = 'Not specified'
  no_max_warning = 'Not specified'
  no_min_alarm = 'Not specified'
  no_min_value = 'Not specified'
  no_min_warning = 'Not specified'
  no_rel_change = 'Not specified'
  no_standard_unit = 'No standard unit'
  no_unit = 'No unit'
  not_specified = 'Not specified'
  root_inited = True

class TaurusConfigurationProxy(_Mock):
  pass


class TaurusDevice(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class TaurusExceptionListener(_Mock):
  pass


class TaurusListener(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class Timer(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class WriteAttrOperation(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

