from __future__ import print_function
from _mock import _Mock

demo = __import__('taurus.qt.qtgui.display.demo', fromlist=['demo'])
qfallback = __import__('taurus.qt.qtgui.display.qfallback', fromlist=['qfallback'])
qled = __import__('taurus.qt.qtgui.display.qled', fromlist=['qled'])
qlogo = __import__('taurus.qt.qtgui.display.qlogo', fromlist=['qlogo'])
qpixmapwidget = __import__('taurus.qt.qtgui.display.qpixmapwidget', fromlist=['qpixmapwidget'])
qsevensegment = __import__('taurus.qt.qtgui.display.qsevensegment', fromlist=['qsevensegment'])
taurusboolled = __import__('taurus.qt.qtgui.display.taurusboolled', fromlist=['taurusboolled'])
taurusconfiglabel = __import__('taurus.qt.qtgui.display.taurusconfiglabel', fromlist=['taurusconfiglabel'])
tauruslabel = __import__('taurus.qt.qtgui.display.tauruslabel', fromlist=['tauruslabel'])
tauruslcd = __import__('taurus.qt.qtgui.display.tauruslcd', fromlist=['tauruslcd'])
tauruslcdvalue = __import__('taurus.qt.qtgui.display.tauruslcdvalue', fromlist=['tauruslcdvalue'])
taurusled = __import__('taurus.qt.qtgui.display.taurusled', fromlist=['taurusled'])
taurusstateled = __import__('taurus.qt.qtgui.display.taurusstateled', fromlist=['taurusstateled'])
taurusvaluelabel = __import__('taurus.qt.qtgui.display.taurusvaluelabel', fromlist=['taurusvaluelabel'])
test = __import__('taurus.qt.qtgui.display.test', fromlist=['test'])


LedColor = _Mock()

LedSize = _Mock()

LedStatus = _Mock()

create_fallback = _Mock()

create_taurus_fallback = _Mock()



class Q7SegDigit(_Mock):
  pass
  DftAspectRatio = 1
  DftHeight = 300
  DftLedOnBgColor = 7
  DftLedPenWidth = 5
  DftUseFrame = True
  DftValue = ''
  DftWidth = 300
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QFallBackWidget(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QLed(_Mock):
  pass
  DefaultAspectRatioMode = 1
  DefaultBlinkingInterval = 0
  DefaultLedColor = 'green'
  DefaultLedInverted = False
  DefaultLedPattern = ':leds/images256/led_{color}_{status}.png'
  DefaultLedStatus = True
  DefaultTransformationMode = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class QLedOld(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3
  ledDirPattern = ':leds/images%(size)d'

class QLogo(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class QPixmapWidget(_Mock):
  pass
  DefaultAspectRatioMode = 1
  DefaultTransformationMode = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class TaurusBoolLed(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  ledDirPattern = ':leds/images%(size)d'
  log_level = 10
  root_inited = True

class TaurusConfigLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusFallBackWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLCD(_Mock):
  pass
  Bin = 3
  Box = 1
  Critical = 50
  Debug = 10
  Dec = 1
  DefaultBgRole = 'quality'
  DefaultFgRole = 'value'
  DefaultShowText = True
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  Filled = 1
  Flat = 2
  HLine = 4
  Hex = 0
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Oct = 2
  Outline = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLCDValue(_Mock):
  pass
  Bin = 3
  Box = 1
  Critical = 50
  Debug = 10
  Dec = 1
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  Filled = 1
  Flat = 2
  HLine = 4
  Hex = 0
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Oct = 2
  Outline = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DefaultAutoTrim = True
  DefaultBgRole = 'quality'
  DefaultFgRole = 'value'
  DefaultPrefix = ''
  DefaultShowText = True
  DefaultSuffix = ''
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLed(_Mock):
  pass
  Critical = 50
  Debug = 10
  DefaultAspectRatioMode = 1
  DefaultBlinkingInterval = 0
  DefaultFgRole = 'value'
  DefaultLedColor = 'green'
  DefaultLedInverted = False
  DefaultLedPattern = ':leds/images256/led_{color}_{status}.png'
  DefaultLedStatus = True
  DefaultOffColor = 'black'
  DefaultOnColor = 'green'
  DefaultTransformationMode = 1
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusStateLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusStateLed(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  ledDirPattern = ':leds/images%(size)d'
  log_level = 10
  root_inited = True

class TaurusValueLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

