from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])


ALIGNMENT = _Mock()

FILLSTYLE_JDW2QT = _Mock()

LINESTYLE_JDW2QT = _Mock()

TEXTHINT_JDW2QT = _Mock()

VALIGNMENT = _Mock()

os = _Mock()

parseTangoUri = _Mock()

traceback = _Mock()



class CaselessDict(_Mock):
  pass


class Logger(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class Singleton(_Mock):
  pass


class TaurusBaseGraphicsFactory(_Mock):
  pass


class TaurusGraphicsItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusGraphicsScene(_Mock):
  pass
  ANY_ATTRIBUTE_SELECTS_DEVICE = True
  AllLayers = 65535
  BackgroundLayer = 2
  BspTreeIndex = 0
  ForegroundLayer = 4
  ItemLayer = 1
  NoIndex = -1
  TRACE_ALL = False

class TaurusJDrawGraphicsFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class TaurusTextAttributeItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _TEXT_RATIO = 0.8
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusTextStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _TEXT_RATIO = 0.8
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

