from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])


Manager = _Mock()

PyTango = _Mock()

QT_ATTRIBUTE_QUALITY_PALETTE = _Mock()

QT_DEVICE_STATE_PALETTE = _Mock()

Queue = _Mock()

SynopticSelectionStyle = _Mock()

TYPE_TO_GRAPHICS = _Mock()

operator = _Mock()

os = _Mock()

parseTangoUri = _Mock()

re = _Mock()

subprocess = _Mock()

traceback = _Mock()

types = _Mock()



class AttributeNameValidator(_Mock):
  pass
  attr = "/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  complete_name = "(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})/(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  normal_name = "((?P<scheme>tango)://)?(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  protocol_prefix = 'tango://'
  short_name = "(?P<devalias>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)/(?P<attributename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  w = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"

class CaselessDefaultDict(_Mock):
  pass


class DeviceNameValidator(_Mock):
  pass
  complete_name = "(((?P<scheme>tango)://)?)?(?P<host>([\\w\\-_]+\\.)*[\\w\\-_]+):(?P<port>\\d{1,5})/(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  dev = "(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  normal_name = "((?P<scheme>tango)://)?(?P<devicename>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+/[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  protocol_prefix = 'tango://'
  short_name = "(?P<devalias>[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+)"
  tango_word = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"
  uri_gen_delims = '\\:\\/\\?\\#\\[\\]\\@'
  uri_reserved = "\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  uri_sub_delims = "\\!\\$\\&'\\(\\)\\*\\,\\;\\="
  w = "[^\\:\\/\\?\\#\\[\\]\\@\\!\\$\\&'\\(\\)\\*\\,\\;\\=]+"

class Enumeration(_Mock):
  pass


class ExternalAppAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  DEFAULT_ICON_NAME = 'application-x-executable'
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  defaultConfigRecursionDepth = -1

class Logger(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class QGraphicsTextBoxing(_Mock):
  pass
  DeviceCoordinateCache = 2
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  UserType = 65536
  _TEXT_RATIO = 0.8

class QSpline(_Mock):
  pass
  DeviceCoordinateCache = 2
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  UserType = 65536

class TaurusAttribute(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class TaurusBaseComponent(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseGraphicsFactory(_Mock):
  pass


class TaurusDevice(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class TaurusEllipseStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusGraphicsAttributeItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusGraphicsItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusGraphicsScene(_Mock):
  pass
  ANY_ATTRIBUTE_SELECTS_DEVICE = True
  AllLayers = 65535
  BackgroundLayer = 2
  BspTreeIndex = 0
  ForegroundLayer = 4
  ItemLayer = 1
  NoIndex = -1
  TRACE_ALL = False

class TaurusGraphicsStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusGraphicsUpdateThread(_Mock):
  pass
  HighPriority = 4
  HighestPriority = 5
  IdlePriority = 0
  InheritPriority = 7
  LowPriority = 2
  LowestPriority = 1
  NormalPriority = 3
  TimeCriticalPriority = 6

class TaurusGroupItem(_Mock):
  pass
  DeviceCoordinateCache = 2
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  UserType = 65536

class TaurusGroupStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLineStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusPolygonStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusRectStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusRoundRectItem(_Mock):
  pass
  DeviceCoordinateCache = 2
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  UserType = 65536

class TaurusRoundRectStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusSplineStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusTextAttributeItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _TEXT_RATIO = 0.8
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusTextStateItem(_Mock):
  pass
  Critical = 50
  Debug = 10
  DeviceCoordinateCache = 2
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ItemAcceptsInputMethod = 4096
  ItemChildAddedChange = 6
  ItemChildRemovedChange = 7
  ItemClipsChildrenToShape = 16
  ItemClipsToShape = 8
  ItemCoordinateCache = 1
  ItemCursorChange = 17
  ItemCursorHasChanged = 18
  ItemDoesntPropagateOpacityToChildren = 128
  ItemEnabledChange = 3
  ItemEnabledHasChanged = 13
  ItemFlagsChange = 21
  ItemFlagsHaveChanged = 22
  ItemHasNoContents = 1024
  ItemIgnoresParentOpacity = 64
  ItemIgnoresTransformations = 32
  ItemIsFocusable = 4
  ItemIsMovable = 1
  ItemIsPanel = 16384
  ItemIsSelectable = 2
  ItemMatrixChange = 1
  ItemNegativeZStacksBehindParent = 8192
  ItemOpacityChange = 25
  ItemOpacityHasChanged = 26
  ItemParentChange = 5
  ItemParentHasChanged = 15
  ItemPositionChange = 0
  ItemPositionHasChanged = 9
  ItemRotationChange = 28
  ItemRotationHasChanged = 29
  ItemScaleChange = 30
  ItemScaleHasChanged = 31
  ItemSceneChange = 11
  ItemSceneHasChanged = 16
  ItemScenePositionHasChanged = 27
  ItemSelectedChange = 4
  ItemSelectedHasChanged = 14
  ItemSendsGeometryChanges = 2048
  ItemSendsScenePositionChanges = 65536
  ItemStacksBehindParent = 256
  ItemToolTipChange = 19
  ItemToolTipHasChanged = 20
  ItemTransformChange = 8
  ItemTransformHasChanged = 10
  ItemTransformOriginPointChange = 32
  ItemTransformOriginPointHasChanged = 33
  ItemUsesExtendedStyleOption = 512
  ItemVisibleChange = 2
  ItemVisibleHasChanged = 12
  ItemZValueChange = 23
  ItemZValueHasChanged = 24
  NoCache = 0
  NonModal = 0
  PanelModal = 1
  SceneModal = 2
  Trace = 5
  UserType = 65536
  Warning = 30
  _TEXT_RATIO = 0.8
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusWidgetFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

