from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
arrayedit = __import__('taurus.qt.qtgui.plot.arrayedit', fromlist=['arrayedit'])
curveStatsDlg = __import__('taurus.qt.qtgui.plot.curveStatsDlg', fromlist=['curveStatsDlg'])
curveprops = __import__('taurus.qt.qtgui.plot.curveprops', fromlist=['curveprops'])
curvesAppearanceChooserDlg = __import__('taurus.qt.qtgui.plot.curvesAppearanceChooserDlg', fromlist=['curvesAppearanceChooserDlg'])
monitor = __import__('taurus.qt.qtgui.plot.monitor', fromlist=['monitor'])
qwtdialog = __import__('taurus.qt.qtgui.plot.qwtdialog', fromlist=['qwtdialog'])
scales = __import__('taurus.qt.qtgui.plot.scales', fromlist=['scales'])
taurusarrayedit = __import__('taurus.qt.qtgui.plot.taurusarrayedit', fromlist=['taurusarrayedit'])
taurusplot = __import__('taurus.qt.qtgui.plot.taurusplot', fromlist=['taurusplot'])
taurustrend = __import__('taurus.qt.qtgui.plot.taurustrend', fromlist=['taurustrend'])


Qwt5 = _Mock()

UILoadable = _Mock()

isodatestr2float = _Mock()

time = _Mock()



class ArrayEditor(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class CurveAppearanceProperties(_Mock):
  pass


class CurvePropertiesView(_Mock):
  pass
  AboveItem = 1
  AllEditTriggers = 31
  AnimatingState = 6
  AnyKeyPressed = 16
  BelowItem = 2
  Box = 1
  CollapsingState = 5
  ContiguousSelection = 4
  CurrentChanged = 1
  DoubleClicked = 2
  DragDrop = 3
  DragOnly = 1
  DragSelectingState = 2
  DraggingState = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  DropOnly = 2
  EditKeyPressed = 8
  EditingState = 3
  EnsureVisible = 0
  ExpandingState = 4
  ExtendedSelection = 3
  HLine = 4
  IgnoreMask = 4
  InternalMove = 4
  MoveDown = 1
  MoveEnd = 5
  MoveHome = 4
  MoveLeft = 2
  MoveNext = 8
  MovePageDown = 7
  MovePageUp = 6
  MovePrevious = 9
  MoveRight = 3
  MoveUp = 0
  MultiSelection = 2
  NoDragDrop = 0
  NoEditTriggers = 0
  NoFrame = 0
  NoSelection = 0
  NoState = 0
  OnItem = 0
  OnViewport = 3
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  PositionAtBottom = 2
  PositionAtCenter = 3
  PositionAtTop = 1
  Raised = 32
  ScrollPerItem = 0
  ScrollPerPixel = 1
  SelectColumns = 2
  SelectItems = 0
  SelectRows = 1
  SelectedClicked = 4
  Shadow_Mask = 240
  Shape_Mask = 15
  SingleSelection = 1
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class CurveStatsDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class CurvesAppearanceChooser(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  NAME_ROLE = 32
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class DateTimeScaleEngine(_Mock):
  pass
  Floating = 4
  IncludeReference = 1
  Inverted = 8
  NoAttribute = 0
  Symmetric = 2

class DeltaTimeScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class DeltaTimeScaleEngine(_Mock):
  pass
  Floating = 4
  IncludeReference = 1
  Inverted = 8
  NoAttribute = 0
  Symmetric = 2

class FancyScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class FixedLabelsScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class FixedLabelsScaleEngine(_Mock):
  pass
  Floating = 4
  IncludeReference = 1
  Inverted = 8
  NoAttribute = 0
  Symmetric = 2

class ScanTrendsSet(_Mock):
  pass
  Critical = 50
  DEFAULT_X_DATA_KEY = 'point_nb'
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  consecutiveDroppedEventsWarning = 3
  defaultConfigRecursionDepth = -1
  droppedEventsWarning = -1
  log_level = 10
  root_inited = True

class TaurusArrayEditor(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusCurve(_Mock):
  pass
  AutoScale = 2
  ClipPolygons = 2
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Dots = 4
  Error = 40
  Fatal = 50
  Fitted = 2
  Info = 20
  Inverted = 1
  Legend = 1
  Lines = 1
  NoCurve = 0
  PaintFiltered = 1
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Steps = 3
  Sticks = 2
  Trace = 5
  UserCurve = 100
  Warning = 30
  Xfy = 1
  Yfx = 0
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  consecutiveDroppedEventsWarning = 3
  defaultConfigRecursionDepth = -1
  droppedEventsWarning = -1
  log_level = 10
  root_inited = True

class TaurusCurveMarker(_Mock):
  pass
  AutoScale = 2
  Critical = 50
  Cross = 3
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  HLine = 1
  Info = 20
  Legend = 1
  NoLine = 0
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Trace = 5
  VLine = 2
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusMonitorTiny(_Mock):
  pass
  BottomLegend = 2
  Box = 1
  Critical = 50
  DEFAULT_MAX_BUFFER_SIZE = 8192
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  ExternalLegend = 4
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  LeftLegend = 0
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  RightLegend = 1
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  TopLegend = 3
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  axisCnt = 4
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True
  xBottom = 2
  xTop = 3
  yLeft = 0
  yRight = 1

class TaurusPlot(_Mock):
  pass
  BottomLegend = 2
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  ExternalLegend = 4
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  LeftLegend = 0
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  RightLegend = 1
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  TopLegend = 3
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  axisCnt = 4
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True
  xBottom = 2
  xTop = 3
  yLeft = 0
  yRight = 1

class TaurusPlotConfigDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class TaurusTimeScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class TaurusTrend(_Mock):
  pass
  BottomLegend = 2
  Box = 1
  Critical = 50
  DEFAULT_MAX_BUFFER_SIZE = 65536
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  ExternalLegend = 4
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  LeftLegend = 0
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  RightLegend = 1
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  TopLegend = 3
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  axisCnt = 4
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True
  xBottom = 2
  xTop = 3
  yLeft = 0
  yRight = 1

class TaurusTrendsSet(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  consecutiveDroppedEventsWarning = 3
  defaultConfigRecursionDepth = -1
  droppedEventsWarning = -1
  log_level = 10
  root_inited = True

class TaurusXValues(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

