from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
taurus = __import__('taurus', fromlist=['taurus'])


DFT_CURVE_PENS = _Mock()

PyTango = _Mock()

Qwt5 = _Mock()

copy = _Mock()

getThemeIcon = _Mock()

isodatestr2float = _Mock()

main = _Mock()

numpy = _Mock()

os = _Mock()

time = _Mock()

TAURUS_ATTR_MIME_TYPE = 'application/taurus-attribute'

TAURUS_MODEL_LIST_MIME_TYPE = 'text/uri-list'

class CaselessDict(_Mock):
  pass


class CaselessList(_Mock):
  pass


class CurveAppearanceProperties(_Mock):
  pass


class DateTimeScaleEngine(_Mock):
  pass
  Floating = 4
  IncludeReference = 1
  Inverted = 8
  NoAttribute = 0
  Symmetric = 2

class DummyLock(_Mock):
  pass


class FancyScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class FixedLabelsScaleDraw(_Mock):
  pass
  Backbone = 1
  BottomScale = 0
  Labels = 4
  LeftScale = 2
  RightScale = 3
  Ticks = 2
  TopScale = 1

class FixedLabelsScaleEngine(_Mock):
  pass
  Floating = 4
  IncludeReference = 1
  Inverted = 8
  NoAttribute = 0
  Symmetric = 2

class LoopList(_Mock):
  pass


class SafeEvaluator(_Mock):
  pass


class TaurusBaseComponent(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusCurve(_Mock):
  pass
  AutoScale = 2
  ClipPolygons = 2
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Dots = 4
  Error = 40
  Fatal = 50
  Fitted = 2
  Info = 20
  Inverted = 1
  Legend = 1
  Lines = 1
  NoCurve = 0
  PaintFiltered = 1
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Steps = 3
  Sticks = 2
  Trace = 5
  UserCurve = 100
  Warning = 30
  Xfy = 1
  Yfx = 0
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  consecutiveDroppedEventsWarning = 3
  defaultConfigRecursionDepth = -1
  droppedEventsWarning = -1
  log_level = 10
  root_inited = True

class TaurusCurveMarker(_Mock):
  pass
  AutoScale = 2
  Critical = 50
  Cross = 3
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  HLine = 1
  Info = 20
  Legend = 1
  NoLine = 0
  RenderAntialiased = 1
  Rtti_PlotCurve = 4
  Rtti_PlotGrid = 1
  Rtti_PlotHistogram = 5
  Rtti_PlotItem = 0
  Rtti_PlotMarker = 3
  Rtti_PlotSVG = 7
  Rtti_PlotScale = 2
  Rtti_PlotSpectrogram = 6
  Rtti_PlotUserItem = 1000
  Trace = 5
  VLine = 2
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusPlot(_Mock):
  pass
  BottomLegend = 2
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  ExternalLegend = 4
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  LeftLegend = 0
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  RightLegend = 1
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  TopLegend = 3
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  axisCnt = 4
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True
  xBottom = 2
  xTop = 3
  yLeft = 0
  yRight = 1

class TaurusPlotConfigDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class TaurusXValues(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusZoomer(_Mock):
  pass
  ActiveOnly = 2
  AlwaysOff = 0
  AlwaysOn = 1
  CenterToCorner = 128
  CenterToRadius = 256
  ClickSelection = 1024
  CornerToCorner = 64
  CrossRubberBand = 3
  DragSelection = 2048
  EllipseRubberBand = 5
  HLineRubberBand = 1
  KeepSize = 1
  KeyAbort = 2
  KeyDown = 6
  KeyHome = 9
  KeyLeft = 3
  KeyPatternCount = 10
  KeyRedo = 7
  KeyRight = 4
  KeySelect1 = 0
  KeySelect2 = 1
  KeyUndo = 8
  KeyUp = 5
  MousePatternCount = 6
  MouseSelect1 = 0
  MouseSelect2 = 1
  MouseSelect3 = 2
  MouseSelect4 = 3
  MouseSelect5 = 4
  MouseSelect6 = 5
  NoRubberBand = 0
  NoSelection = 0
  PointSelection = 1
  PolygonRubberBand = 6
  PolygonSelection = 4
  RectRubberBand = 4
  RectSelection = 2
  Stretch = 0
  UserRubberBand = 100
  VLineRubberBand = 2

class datetime(_Mock):
  pass


