from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
QtCore = __import__('taurus.external.qt.QtCore', fromlist=['QtCore'])
taurus = __import__('taurus', fromlist=['taurus'])


QtGui = _Mock()

Queue = _Mock()

get_all_models = _Mock()

get_readwrite_models = _Mock()

metachars = _Mock()

modelSetter = _Mock()

operator = _Mock()

re = _Mock()

re_match_low = _Mock()

re_search_low = _Mock()

sysargs_to_dict = _Mock()

traceback = _Mock()



class Delegate(_Mock):
  pass
  EditNextItem = 1
  EditPreviousItem = 2
  NoHint = 0
  RevertModelCache = 4
  SubmitModelCache = 3

class Logger(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class MethodModel(_Mock):
  pass


class SingletonWorker(_Mock):
  pass


class TaurusBaseWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusEmitterThread(_Mock):
  pass
  HighPriority = 4
  HighestPriority = 5
  IdlePriority = 0
  InheritPriority = 7
  LowPriority = 2
  LowestPriority = 1
  NormalPriority = 3
  TimeCriticalPriority = 6

class TaurusGrid(_Mock):
  pass
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusManager(_Mock):
  pass
  Critical = 50
  Debug = 10
  DefaultSerializationMode = 1
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  PLUGIN_KEY = '__taurus_plugin__'
  Trace = 5
  Warning = 30
  default_scheme = 'tango'
  log_level = 10
  root_inited = True

class TaurusStateLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusValue(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _compact = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusValueLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusValueLineEdit(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoEcho = 1
  Normal = 0
  Password = 2
  PasswordEchoOnEdit = 3
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  appliedSignalSignature = 'applied'
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class partial(_Mock):
  pass


