from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
taurus = __import__('taurus', fromlist=['taurus'])


DataFormat = _Mock()

TableRWState = _Mock()

getThemeIcon = _Mock()

getThemePixmap = _Mock()

numpy = _Mock()

sys = _Mock()

taurusTableMain = _Mock()



class Enumeration(_Mock):
  pass


class TableInlineEdit(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  NoEcho = 1
  Normal = 0
  Password = 2
  PasswordEchoOnEdit = 3
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class TaurusBaseWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseWritableWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  appliedSignalSignature = 'applied'
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusLabel(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  Critical = 50
  Debug = 10
  DefaultAutoTrim = True
  DefaultBgRole = 'quality'
  DefaultFgRole = 'value'
  DefaultPrefix = ''
  DefaultShowText = True
  DefaultSuffix = ''
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusValuesIOTable(_Mock):
  pass
  AboveItem = 1
  AllEditTriggers = 31
  AnimatingState = 6
  AnyKeyPressed = 16
  BelowItem = 2
  Box = 1
  CollapsingState = 5
  ContiguousSelection = 4
  CurrentChanged = 1
  DoubleClicked = 2
  DragDrop = 3
  DragOnly = 1
  DragSelectingState = 2
  DraggingState = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  DropOnly = 2
  EditKeyPressed = 8
  EditingState = 3
  EnsureVisible = 0
  ExpandingState = 4
  ExtendedSelection = 3
  HLine = 4
  IgnoreMask = 4
  InternalMove = 4
  MoveDown = 1
  MoveEnd = 5
  MoveHome = 4
  MoveLeft = 2
  MoveNext = 8
  MovePageDown = 7
  MovePageUp = 6
  MovePrevious = 9
  MoveRight = 3
  MoveUp = 0
  MultiSelection = 2
  NoDragDrop = 0
  NoEditTriggers = 0
  NoFrame = 0
  NoSelection = 0
  NoState = 0
  OnItem = 0
  OnViewport = 3
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  PositionAtBottom = 2
  PositionAtCenter = 3
  PositionAtTop = 1
  Raised = 32
  ScrollPerItem = 0
  ScrollPerPixel = 1
  SelectColumns = 2
  SelectItems = 0
  SelectRows = 1
  SelectedClicked = 4
  Shadow_Mask = 240
  Shape_Mask = 15
  SingleSelection = 1
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class TaurusValuesIOTableDelegate(_Mock):
  pass
  EditNextItem = 1
  EditPreviousItem = 2
  NoHint = 0
  RevertModelCache = 4
  SubmitModelCache = 3

class TaurusValuesIOTableModel(_Mock):
  pass


class TaurusValuesTable(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = False
  _writeMode = False
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

