from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
mimetypes = __import__('taurus.qt.qtcore.mimetypes.mimetypes', fromlist=['mimetypes'])
properties = __import__('taurus.qt.qtcore.util.properties', fromlist=['properties'])
taurus = __import__('taurus', fromlist=['taurus'])


ATTRIBUTE_QUALITY_PALETTE = _Mock()

DEVICE_STATE_PALETTE = _Mock()

PyTango = _Mock()

djoin = _Mock()

extend_regexp = _Mock()

get_alias_dict = _Mock()

get_alias_for_device = _Mock()

get_device_for_alias = _Mock()

get_matching_devices = _Mock()

icons_dev_tree = _Mock()

isCallable = _Mock()

isDictionary = _Mock()

isMap = _Mock()

isSequence = _Mock()

isString = _Mock()

is_regexp = _Mock()

matchCl = _Mock()

os = _Mock()

re = _Mock()

searchCl = _Mock()

split_model_list = _Mock()

taurusDevTreeMain = _Mock()

time = _Mock()

traceback = _Mock()

TAURUS_ATTR_MIME_TYPE = 'application/taurus-attribute'

TAURUS_DB_MIME_TYPE = 'application/taurus-database'

TAURUS_DEV_MIME_TYPE = 'application/taurus-device'

TAURUS_MODEL_LIST_MIME_TYPE = 'text/uri-list'

TAURUS_MODEL_MIME_TYPE = 'application/taurus-model'

TREE_ITEM_MIME_TYPE = 'application/x-qabstractitemmodeldatalist'

class CaselessDict(_Mock):
  pass


class PopupDialog(_Mock):
  pass
  Accepted = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Rejected = 0

class SearchEdit(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class ServerBrowser(_Mock):
  pass
  AboveItem = 1
  AllEditTriggers = 31
  AnimatingState = 6
  AnyKeyPressed = 16
  BelowItem = 2
  Box = 1
  CollapsingState = 5
  ContiguousSelection = 4
  Critical = 50
  CurrentChanged = 1
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DoubleClicked = 2
  DragDrop = 3
  DragOnly = 1
  DragSelectingState = 2
  DraggingState = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  DropOnly = 2
  EditKeyPressed = 8
  EditingState = 3
  EnsureVisible = 0
  Error = 40
  ExpandingState = 4
  ExtendedSelection = 3
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  InternalMove = 4
  ModelChangedSignal = 'modelChanged(const QString &)'
  MoveDown = 1
  MoveEnd = 5
  MoveHome = 4
  MoveLeft = 2
  MoveNext = 8
  MovePageDown = 7
  MovePageUp = 6
  MovePrevious = 9
  MoveRight = 3
  MoveUp = 0
  MultiSelection = 2
  NoDragDrop = 0
  NoEditTriggers = 0
  NoFrame = 0
  NoSelection = 0
  NoState = 0
  OnItem = 0
  OnViewport = 3
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  PositionAtBottom = 2
  PositionAtCenter = 3
  PositionAtTop = 1
  Raised = 32
  ScrollPerItem = 0
  ScrollPerPixel = 1
  SelectColumns = 2
  SelectItems = 0
  SelectRows = 1
  SelectedClicked = 4
  Shadow_Mask = 240
  Shape_Mask = 15
  SingleSelection = 1
  StyledPanel = 6
  Sunken = 48
  TRACE_ALL = False
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class SingletonWorker(_Mock):
  pass


class TaurusBaseComponent(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusBaseWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusDevTree(_Mock):
  pass
  AboveItem = 1
  AllEditTriggers = 31
  AnimatingState = 6
  AnyKeyPressed = 16
  BelowItem = 2
  Box = 1
  CollapsingState = 5
  ContiguousSelection = 4
  Critical = 50
  CurrentChanged = 1
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DoubleClicked = 2
  DragDrop = 3
  DragOnly = 1
  DragSelectingState = 2
  DraggingState = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  DropOnly = 2
  EditKeyPressed = 8
  EditingState = 3
  EnsureVisible = 0
  Error = 40
  ExpandingState = 4
  ExtendedSelection = 3
  Fatal = 50
  HLine = 4
  IgnoreMask = 4
  Info = 20
  InternalMove = 4
  ModelChangedSignal = 'modelChanged(const QString &)'
  MoveDown = 1
  MoveEnd = 5
  MoveHome = 4
  MoveLeft = 2
  MoveNext = 8
  MovePageDown = 7
  MovePageUp = 6
  MovePrevious = 9
  MoveRight = 3
  MoveUp = 0
  MultiSelection = 2
  NoDragDrop = 0
  NoEditTriggers = 0
  NoFrame = 0
  NoSelection = 0
  NoState = 0
  OnItem = 0
  OnViewport = 3
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  PositionAtBottom = 2
  PositionAtCenter = 3
  PositionAtTop = 1
  Raised = 32
  ScrollPerItem = 0
  ScrollPerPixel = 1
  SelectColumns = 2
  SelectItems = 0
  SelectRows = 1
  SelectedClicked = 4
  Shadow_Mask = 240
  Shape_Mask = 15
  SingleSelection = 1
  StyledPanel = 6
  Sunken = 48
  TRACE_ALL = False
  Trace = 5
  VLine = 5
  Warning = 30
  WinPanel = 3
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusDevTreeOptions(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class TaurusSearchTree(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusTreeNode(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DontShowIndicator = 1
  DontShowIndicatorWhenChildless = 2
  Error = 40
  Fatal = 50
  Info = 20
  ShowIndicator = 0
  Trace = 5
  Type = 0
  UserType = 1000
  Warning = 30
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class TaurusTreeNodeContainer(_Mock):
  pass


class TaurusWidget(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  DrawChildren = 2
  DrawWindowBackground = 1
  Error = 40
  Fatal = 50
  IgnoreMask = 4
  Info = 20
  ModelChangedSignal = 'modelChanged(const QString &)'
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Trace = 5
  Warning = 30
  _UseParentMsg = False
  _dragEnabled = False
  _eventBufferPeriod = 0
  _modifiableByUser = False
  _showQuality = True
  defaultConfigRecursionDepth = -1
  log_level = 10
  root_inited = True

class partial(_Mock):
  pass


