from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])
qdraganddropdebug = __import__('taurus.qt.qtgui.util.qdraganddropdebug', fromlist=['qdraganddropdebug'])
taurusaction = __import__('taurus.qt.qtgui.util.taurusaction', fromlist=['taurusaction'])
taurusactionfactory = __import__('taurus.qt.qtgui.util.taurusactionfactory', fromlist=['taurusactionfactory'])
tauruscolor = __import__('taurus.qt.qtgui.util.tauruscolor', fromlist=['tauruscolor'])
taurusscreenshot = __import__('taurus.qt.qtgui.util.taurusscreenshot', fromlist=['taurusscreenshot'])
tauruswidgetfactory = __import__('taurus.qt.qtgui.util.tauruswidgetfactory', fromlist=['tauruswidgetfactory'])
ui = __import__('taurus.qt.qtgui.util.ui', fromlist=['ui'])
uic = __import__('taurus.external.qt.uic', fromlist=['uic'])


ATTRIBUTE_QUALITY_DATA = _Mock()

DEVICE_STATE_DATA = _Mock()

PyTango = _Mock()

QT_ATTRIBUTE_QUALITY_PALETTE = _Mock()

QT_DEVICE_STATE_PALETTE = _Mock()

UILoadable = _Mock()

functools = _Mock()

getThemeIcon = _Mock()

getWidgetsOfType = _Mock()

grabWidget = _Mock()

loadUi = _Mock()

main = _Mock()

os = _Mock()

sys = _Mock()

xml = _Mock()



class ActionFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class AttributeAllConfigAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  menuID = 'AttrConfig'

class AttributeHistoryAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  menuID = 'AttrHistory'

class AttributeImageDisplayAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  menuID = 'ImageDisplay'

class AttributeMenu(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  menuData = "<Menu label='Attribute'><MenuItem class='AttrHistory'/><MenuItem class='_Separator_'/><Menu class='AttrConfig'/></Menu>"
  menuID = 'AttrMenu'

class AttributeMonitorDeviceAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  menuID = 'MonitorDevice'

class BaseConfigurableClass(_Mock):
  pass
  defaultConfigRecursionDepth = -1

class ColorPalette(_Mock):
  pass


class ConfigurationMenu(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  menuData = "<Menu label='Configuration'><MenuItem class='AttrConfig'/></Menu>"
  menuID = 'AttrConfigMenu'

class DropDebugger(_Mock):
  pass
  AlignCenter = 132
  AlignRight = 2
  AlignVCenter = 128
  Box = 1
  DrawChildren = 2
  DrawWindowBackground = 1
  HLine = 4
  IgnoreMask = 4
  NoFrame = 0
  Panel = 2
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3
  Plain = 16
  Raised = 32
  Shadow_Mask = 240
  Shape_Mask = 15
  StyledPanel = 6
  Sunken = 48
  VLine = 5
  WinPanel = 3

class ExternalAppAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  DEFAULT_ICON_NAME = 'application-x-executable'
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  defaultConfigRecursionDepth = -1

class Grabber(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

class QtColorPalette(_Mock):
  pass


class SeparatorAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0
  menuID = '_Separator_'

class TaurusAction(_Mock):
  pass
  AboutQtRole = 3
  AboutRole = 4
  ApplicationSpecificRole = 2
  HighPriority = 256
  Hover = 1
  LowPriority = 0
  NegativeSoftKey = 2
  NoRole = 0
  NoSoftKey = 0
  NormalPriority = 128
  PositiveSoftKey = 1
  PreferencesRole = 5
  QuitRole = 6
  SelectSoftKey = 3
  TextHeuristicRole = 1
  Trigger = 0

class TaurusMenu(_Mock):
  pass
  DrawChildren = 2
  DrawWindowBackground = 1
  IgnoreMask = 4
  PdmDepth = 6
  PdmDpiX = 7
  PdmDpiY = 8
  PdmHeight = 2
  PdmHeightMM = 4
  PdmNumColors = 5
  PdmPhysicalDpiX = 9
  PdmPhysicalDpiY = 10
  PdmWidth = 1
  PdmWidthMM = 3

class TaurusWidgetFactory(_Mock):
  pass
  Critical = 50
  Debug = 10
  DftLogLevel = 20
  DftLogMessageFormat = '%(threadName)-14s %(levelname)-8s %(asctime)s %(name)s: %(message)s'
  Error = 40
  Fatal = 50
  Info = 20
  Trace = 5
  Warning = 30
  log_level = 10
  root_inited = True

