from __future__ import print_function
from _mock import _Mock

Qt = __import__('taurus.external.qt.Qt', fromlist=['Qt'])


_NEBULA_KEYS = _Mock()

getStyle = _Mock()

getStyleSheet = _Mock()

NEBULA_STYLESHEET = 'QToolBox:tab {\n    color: white;\n    border-width: 0px;\n    border-style: solid;\n    border-color: rgb(0, 65, 200);\n    border-top-left-radius: 0px;\n    border-top-right-radius: 4px;\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(200, 200, 200), stop: 1 rgb(150, 150, 150));\n}\n\nQToolBox:tab:selected {\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(60, 150, 255), stop: 1 rgb(0, 65, 200));\n}\n\nQToolBox:tab:first {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n}\n\nQToolBox:tab:last {\n    border-bottom-left-radius: 0px;\n    border-bottom-right-radius: 0px;\n}\n\nQToolBox:tab:only-one {\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(90, 180, 255), stop: 1 rgb(30, 95, 250));\n}\n\nQDockWidget {\n    color: white;\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 1.0, y2: 1.0, stop: 0 rgb(224, 224, 224), stop: 1 rgb(255, 255, 255));\n    titlebar-close-icon: url(:/titlebar_close_black.png);\n    titlebar-normal-icon: url(:/titlebar_undock_black.png);\n}\n\nQDockWidget::title {\n    text-align: left;\n    padding-left: 4px;\n\n    border-top-left-radius: 4px;\n    border-top-right-radius: 4px;\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(60, 150, 255), stop: 1 rgb(0, 65, 200));\n}\n\n QGroupBox {\n    border: 1px solid;\n    border-color: rgb(0, 65, 200);\n    border-radius: 4px;\n    margin-top: 1.5ex;\n    padding-top: 8px;\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 1.0, y2: 1.0, stop: 0 rgb(224, 224, 224), stop: 1 rgb(255, 255, 255));\n }\n\nQGroupBox::title {\n    subcontrol-origin: margin;\n    subcontrol-position: top left;\n    padding-top: 1px;\n    padding-right: 3px;\n    padding-bottom: 2px;\n    padding-left: 3px;\n    border-width: 0px;\n    border-radius: 4px;\n    color:white;\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(60, 150, 255), stop: 1 rgb(0, 65, 200));\n    left: 5px;\n}\n\n QGroupBox::indicator {\n    width: 15px;\n    height: 15px;\n}\n\nQTabWidget {\n    \n}\n\nQTabWidget::tab-bar {\n    left: 6px;\n}\n\nQTabWidget::pane {\n    border: 1px solid;\n    border-color: rgb(0, 65, 200);\n    border-top-left-radius: 4px;\n    border-top-right-radius: 4px;\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 1.0, y2: 1.0, stop: 0 rgb(224, 224, 224), stop: 1 rgb(255, 255, 255));\n}\n\nQTabBar::tab {\n    color:white;\n    border-bottom-color: rgb(0, 65, 200);\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(200, 200, 200), stop: 1 rgb(150, 150, 150));\n    min-width: 8ex;\n    padding: 2px;\n}\n\nQTabBar::tab:top {\n    border-top-left-radius: 4px;\n    border-top-right-radius: 4px;\n}\n\nQTabBar::tab:bottom {\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n}\n\nQTabBar::tab:selected {\n    background-color: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 rgb(60, 150, 255), stop: 1 rgb(0, 65, 200));\n}\n\n\n/*\n QMainWindow::separator {\n    background: yellow;\n    width: 2px;\n    height: 2px;\n }\n\n QMainWindow::separator:hover {\n    background: red;\n }\n \n */\n \n\n'

_NEBULA_STYLESHEET = 'QToolBox:tab {{\n    color: {titlebar_color};\n    border-width: 0px;\n    border-style: solid;\n    border-color: rgb(0, 65, 200);\n    border-top-left-radius: 0px;\n    border-top-right-radius: {border_radius};\n    border-bottom-left-radius: {border_radius};\n    border-bottom-right-radius: {border_radius};\n    background-color: {titlebar_background_color};\n}}\n\nQToolBox:tab:selected {{\n    background-color: {selected_titlebar_background_color};\n}}\n\nQToolBox:tab:first {{\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n}}\n\nQToolBox:tab:last {{\n    border-bottom-left-radius: 0px;\n    border-bottom-right-radius: 0px;\n}}\n\nQToolBox:tab:only-one {{\n    background-color: {single_titlebar_background_color};\n}}\n\nQDockWidget {{\n    color: {titlebar_color};\n    background-color: {content_background_color};\n    titlebar-close-icon: url(:/titlebar_close_black.png);\n    titlebar-normal-icon: url(:/titlebar_undock_black.png);\n}}\n\nQDockWidget::title {{\n    text-align: left;\n    padding-left: {border_radius};\n\n    border-top-left-radius: {border_radius};\n    border-top-right-radius: {border_radius};\n    border-bottom-left-radius: {border_radius};\n    border-bottom-right-radius: {border_radius};\n\n    background-color: {selected_titlebar_background_color};\n}}\n\n QGroupBox {{\n    border: 1px solid;\n    border-color: rgb(0, 65, 200);\n    border-radius: {border_radius};\n    margin-top: 1.5ex;\n    padding-top: 8px;\n    background-color: {content_background_color};\n }}\n\nQGroupBox::title {{\n    subcontrol-origin: margin;\n    subcontrol-position: top left;\n    padding-top: 1px;\n    padding-right: 3px;\n    padding-bottom: 2px;\n    padding-left: 3px;\n    border-width: 0px;\n    border-radius: {border_radius};\n    color:white;\n    background-color: {selected_titlebar_background_color};\n    left: 5px;\n}}\n\n QGroupBox::indicator {{\n    width: 15px;\n    height: 15px;\n}}\n\nQTabWidget {{\n    \n}}\n\nQTabWidget::tab-bar {{\n    left: 6px;\n}}\n\nQTabWidget::pane {{\n    border: 1px solid;\n    border-color: rgb(0, 65, 200);\n    border-top-left-radius: {border_radius};\n    border-top-right-radius: {border_radius};\n    border-bottom-left-radius: {border_radius};\n    border-bottom-right-radius: {border_radius};\n    background-color: {content_background_color};\n}}\n\nQTabBar::tab {{\n    color:white;\n    border-bottom-color: rgb(0, 65, 200);\n    background-color: {titlebar_background_color};\n    min-width: 8ex;\n    padding: 2px;\n}}\n\nQTabBar::tab:top {{\n    border-top-left-radius: {border_radius};\n    border-top-right-radius: {border_radius};\n}}\n\nQTabBar::tab:bottom {{\n    border-bottom-left-radius: {border_radius};\n    border-bottom-right-radius: {border_radius};\n}}\n\nQTabBar::tab:selected {{\n    background-color: {selected_titlebar_background_color};\n}}\n\n\n/*\n QMainWindow::separator {{\n    background: yellow;\n    width: 2px;\n    height: 2px;\n }}\n\n QMainWindow::separator:hover {{\n    background: red;\n }}\n \n */\n \n\n'



